﻿/*
 * mAggregatorStatus - © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MySql.Data.MySqlClient;

namespace mAggregatorService
{
	[Serializable()]
	public class Article
	{
		public long ArticleId = 0;
		public long FeedId = 0;
		public DateTime Date;
		public String Title;
		public String Headline;
		public String Description;
		public Uri Link;
		public String Comments;
		public String Author;

		public DateTime LoadDate;

		public Article()
		{
		}
		public Article(MySqlDataReader reader)
		{
			for (int i = 0; i < reader.FieldCount; i++)
			{
				string fieldType = reader.GetDataTypeName(i);
				string fieldName = reader.GetName(i);
				bool fieldIsNull = reader.IsDBNull(i);
				switch (fieldName)
				{
					case "feed_id":
						{
							if (!fieldIsNull)
							{
								FeedId = reader.GetUInt32(i);
							}
						} break;
					case "article_id":
						{
							if (!fieldIsNull)
							{
								ArticleId = reader.GetUInt32(i);
							}
						} break;
					case "date":
						{
							if (!fieldIsNull)
							{
								Date = reader.GetDateTime(i);
							}
						} break;
					case "title":
						{
							if (!fieldIsNull)
							{
								Title = reader.GetString(i);
							}
						} break;
					case "headline":
						{
							if (!fieldIsNull)
							{
								Headline = reader.GetString(i);
							}
						} break;
					case "description":
						{
							if (!fieldIsNull)
							{
								Description = reader.GetString(i);
							}
						} break;
					case "link":
						{
							if (!fieldIsNull)
							{
								Link = new Uri(reader.GetString(i));
							}
						} break;
					case "comments":
						{
							if (!fieldIsNull)
							{
								Comments = reader.GetString(i);
							}
						} break;
					case "author":
						{
							if (!fieldIsNull)
							{
								Author = reader.GetString(i);
							}
						} break;
					case "ts_article":
						{
							if (!fieldIsNull)
							{
								LoadDate = reader.GetDateTime(i);
							}
						} break;
				}
			}
		}
	}
}
