@echo off
REM .NET Service setup script
REM
REM Author: Pascal (Meta) Havelange
REM Copyright (c) 2010

:Setup
set _m_devEnvRoot=D:\Program Files\Microsoft Visual Studio 9.0\VC
set _m_devEnvArchitecture=x86
set _m_projectRoot=D:\Projects\Tariqa\Services\mAggregator
set _m_projectMode=Release
set _m_installRoot=C:\mAggregator

call :Signature
call :MoveToFileLocation %0
set _m_appName=%0
set _m_svcCmd=%1
set _m_svcName=%2
md "%_m_installRoot%\%_m_svcName%" 2>nul
if ''=='%DevEnvDir%' goto setDevEnv
goto Run
:setDevEnv
call "%_m_devEnvRoot%\vcvarsall.bat" %_m_devEnvArchitecture% >nul
goto Run

:Cleanup
set _m_projectRoot=
set _m_projectMode=
set _m_installRoot=
set _m_appName=
set _m_svcCmd=
set _m_svcName=
set _m_scKey=
set _m_scName=
set _m_scStatus=
set _m_currentPath=
set _m_devEnvRoot=
set _m_devEnvArchitecture=
popd
goto :eof

:Run
if ''=='%_m_svcCmd%' call :Help
if ''=='%_m_svcName%' call :Help
if 'add'=='%_m_svcCmd%' call :InstallService %_m_svcName%
if 'delete'=='%_m_svcCmd%' call :RemoveService %_m_svcName%
if 'start'=='%_m_svcCmd%' call :StartService %_m_svcName%
if 'stop'=='%_m_svcCmd%' call :StopService %_m_svcName%
if 'kill'=='%_m_svcCmd%' call :KillService %_m_svcName%
if 'status'=='%_m_svcCmd%' call :ServiceStatus %_m_svcName%
if 'help'=='%_m_svcCmd%' call :Help
call :Cleanup
goto :eof



:InstallService
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:isMain
if 'yes'=='%_m_scInstalled%' goto isErrorInstalled
echo Copying binaries file
copy /Y "%_m_projectRoot%\%_m_svcName%\bin\%_m_projectMode%\%_m_svcName%.exe" "%_m_installRoot%\%_m_svcName%\" 
copy /Y "%_m_projectRoot%\%_m_svcName%\bin\%_m_projectMode%\*.dll" "%_m_installRoot%\%_m_svcName%\" 
echo Copying config file
copy /Y "%_m_projectRoot%\%_m_svcName%\App.config" "%_m_installRoot%\%_m_svcName%\%_m_svcName%.exe.config" 
installutil.exe "%_m_installRoot%\%_m_svcName%\%_m_svcName%.exe"
call :StartService %_m_svcName%
goto :eof
:isErrorInstalled
echo Service %_m_svcName% is already installed.
goto :eof


:RemoveService
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:rsMain
if 'no'=='%_m_scInstalled%' goto rsErrorNotInstalled
if not 'STOPPED'=='%_m_scStatus%' call :StopService %_m_svcName% 
call :QueryService %_m_svcName%
if not 'STOPPED'=='%_m_scStatus%' call :KillService %_m_svcName% 
installutil.exe /uninstall "%_m_installRoot%\%_m_svcName%\%_m_svcName%.exe"
goto :eof
:rsErrorNotInstalled
echo Service %_m_svcName% is not installed.
goto :eof



:StartService
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:ssMain
if 'no'=='%_m_scInstalled%' goto ssErrorNotInstalled
if 'RUNNING'=='%_m_scStatus%' goto ssErrorRunning
sc Start %_m_svcName% >nul
call :ServiceStatus %_m_svcName%
goto :eof
:ssErrorNotInstalled
echo Service %_m_svcName% is not installed.
goto :eof
:ssErrorRunning
echo Service %_m_svcName% is already running.
goto :eof


:StopService
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:tsMain
if 'no'=='%_m_scInstalled%' goto tsErrorNotInstalled
if not 'RUNNING'=='%_m_scStatus%' goto tsErrorNotRunning
sc Stop %_m_svcName% >nul
call :ServiceStatus %_m_svcName%
goto :eof
:tsErrorNotInstalled
echo Service %_m_svcName% is not installed.
goto :eof
:tsErrorNotRunning
echo Service %_m_svcName% is not running.
goto :eof


:KillService
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:ksMain
if 'no'=='%_m_scInstalled%' goto ksErrorNotInstalled
if 'STOPPED'=='%_m_scStatus%' goto :eof
taskkill /F /IM "%_m_svcName%.exe" 2>nul
goto :eof
:ksErrorNotInstalled
echo Service %_m_svcName% is not installed.
goto :eof



:ServiceStatus
if ''=='%1' call :Help && goto Cleanup
set _m_svcName=%1
call :QueryService %_m_svcName%
:asMain
if 'no'=='%_m_scInstalled%' goto asErrorInstalled
echo Service "%_m_scName%" (%_m_scKey%)
echo Status: %_m_scStatus%
goto :eof
:asErrorInstalled
echo Service %_m_svcName% is not installed.
goto :eof

:QueryService
if ''=='%_m_svcName%' set _m_svcName=%1
sc Query %_m_svcName% | find "OpenService FAILED" >nul
if %errorlevel% == 0 (
	set _m_scInstalled=no
) else (
	set _m_scInstalled=yes
)
if 'no'=='%_m_sc_Installed%' goto :eof
sc Query %_m_svcName% | find "STATE" >nul
for /F "tokens=1,2,3,4,5,6 delims=/ " %%a in ('sc GetKeyName %_m_svcName%') do set _m_scKey=%%f
for /F "tokens=1,2,3,4,5,6 delims=/ " %%a in ('sc GetDisplayName %_m_svcName%') do set _m_scName=%%f
for /F "tokens=1,2,3,4 delims=/ " %%a in ('sc Query %_m_svcName% ^| find "STATE"') do set _m_scStatus=%%d
goto :eof


:MoveToFileLocation
for /f %%i in ("%1") do set _m_currentPath=%%~dpi
pushd %_m_currentPath%
goto :eof


:Signature
echo .NET Service setup script
echo.
echo Author: Pascal (Meta) Havelange
echo Copyright (c) 2010
echo.
goto :eof


:Help
echo Syntax:
echo %_m_appName% COMMAND PROJECT_NAME
echo.
echo PROJECT_NAME ::= Name of the .NET Project AND of the .NET Assembly (they must me identical)
echo COMMAND      ::= Action to perform on the service:
echo  - add       ::= Installs and starts the service
echo  - delete    ::= Stops and removes the service
echo  - start     ::= Starts an installed service
echo  - stop      ::= Stops an installed service
echo  - kill      ::= Kills an installed service
echo  - status    ::= Query the status of a service
echo.
echo Sample:
echo - "%_m_appNam% add MyService" will install the service contained in the "MyService" project
echo.
goto :eof

