﻿/*
 * © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace mDownloaderClient
{
	class Program
	{
		static void Main(string[] args)
		{
			TcpClient client;
			IPEndPoint host;

			try
			{
				client = new TcpClient();
				string hostIP = "127.0.0.1";
				int hostPort = 1234;
				bool connectBeforeEachConnect = true;

				/*				Console.WriteLine();
								Console.Write("Host: ");
								hostIP = Console.ReadLine();
								Console.Write("Port: ");
								hostPort = Convert.ToInt32(Console.ReadLine());
								Console.WriteLine(String.Empty);
				*/
				host = new IPEndPoint(IPAddress.Parse(hostIP), hostPort);
				Console.WriteLine("Connecting to " + host.Address.ToString() + ":" + host.Port + "...");

				NetworkStream stream;
				if (false == connectBeforeEachConnect)
				{
					client.Connect(host);
					Console.WriteLine("Connection established (blocking: {0})", client.Client.Blocking.ToString());
				}
				while (true)
				{
					if (true == connectBeforeEachConnect)
					{
						client.Connect(host);
						Console.WriteLine("Connection established (blocking: {0})", client.Client.Blocking.ToString());
					}
					stream = client.GetStream();

					// User input
					string cmd;
					do
					{
						Console.Write("> ");
						cmd = Console.ReadLine();
					} while (cmd.Length == 0);
					if ("quit" == cmd || "exit" == cmd)
					{
						break;
					}

					byte[] buffer = Encoding.ASCII.GetBytes(cmd);

					// Send data
					Console.WriteLine("Sending {0} byte{1}: [{2}]", buffer.Length, buffer.Length > 1 ? "s" : string.Empty, Encoding.ASCII.GetString(buffer));
					stream.Write(buffer, 0, buffer.Length);

					// Receive data
					//stream.ReadTimeout = 500;
					System.IO.MemoryStream ms = new System.IO.MemoryStream();
					int read_buffer_size = 4096;
					byte[] read_buffer = new byte[read_buffer_size];
					do
					{
						Console.WriteLine("READ");
						int bytes_read = stream.Read(read_buffer, 0, read_buffer.Length);
						Console.WriteLine("Bytes: " + bytes_read);
						Console.WriteLine("More?: " + stream.DataAvailable.ToString());
						ms.Write(read_buffer, 0, bytes_read);
					} while (stream.DataAvailable);
					string response = Encoding.ASCII.GetString(ms.ToArray());
					Console.WriteLine("Received {0} byte{1}: [{2}]", ms.Length, ms.Length > 1 ? "s" : string.Empty, response);

					if (true == connectBeforeEachConnect)
					{
						Console.WriteLine("Disconnecting...");
						client.Close();
						client = new TcpClient();
					}
				}
				if (false == connectBeforeEachConnect)
				{
					Console.WriteLine("Disconnecting...");
					client.Close();
				}


			}
			catch (Exception e)
			{
				Console.WriteLine("Exception: " + e.Message.ToString() + Environment.NewLine + e.InnerException.ToString() + Environment.NewLine + e.StackTrace);
			}
			finally
			{

			}
		}
	}
}
