CREATE DATABASE  IF NOT EXISTS `tariqa3` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `tariqa3`;
-- MySQL dump 10.13  Distrib 5.1.41, for debian-linux-gnu (i486)
--
-- Host: s-relex-crisis    Database: tariqa3
-- ------------------------------------------------------
-- Server version	5.0.67-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `external_articles`
--

DROP TABLE IF EXISTS `external_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `external_articles` (
  `article_id` int(11) NOT NULL auto_increment,
  `url` varchar(512) default NULL,
  `content` longblob,
  PRIMARY KEY  (`article_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_preferences`
--

DROP TABLE IF EXISTS `user_preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_preferences` (
  `user_id` varchar(16) NOT NULL,
  `key` varchar(255) NOT NULL,
  `data` text,
  PRIMARY KEY  (`user_id`,`key`),
  CONSTRAINT `fk_user_preferences_known_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_folders`
--

DROP TABLE IF EXISTS `briefcase_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_folders` (
  `folder_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The folder identifier',
  `name` varchar(100) NOT NULL COMMENT 'The folder name',
  `description` text COMMENT 'The folder description',
  `parent_id` int(10) unsigned default NULL COMMENT 'The parent identifier',
  `type_id` int(10) unsigned default NULL COMMENT 'The type identifier',
  `user_id` varchar(16) NOT NULL COMMENT 'The user identifier',
  `archived` enum('y','n') default 'n',
  PRIMARY KEY  (`folder_id`),
  KEY `Index_2` (`parent_id`),
  KEY `FK_briefcase_folders_types` (`type_id`),
  CONSTRAINT `FK_briefcase_folders_parents` FOREIGN KEY (`parent_id`) REFERENCES `briefcase_folders` (`folder_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `FK_briefcase_folders_types` FOREIGN KEY (`type_id`) REFERENCES `briefcase_contents_types` (`type_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1036 DEFAULT CHARSET=utf8 COMMENT='The briefcase folders';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ajax_call_urls`
--

DROP TABLE IF EXISTS `ajax_call_urls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ajax_call_urls` (
  `call_id` int(10) unsigned NOT NULL COMMENT 'Id of the Ajax Call',
  `url_id` smallint(5) unsigned NOT NULL COMMENT 'Id of the URL in the current multi-call',
  `url` varchar(2048) NOT NULL,
  `post_fields` longtext COMMENT 'the full data to post in an HTTP POST operation. You must make sure that the data is formatted the way you want the server to receive it',
  `http_code` smallint(5) unsigned default NULL COMMENT 'HTTP return code once the URL has been retrieved',
  `call_content` longblob COMMENT 'Data returned by the URL',
  `call_content_length` int(10) unsigned default NULL COMMENT 'Length of the data',
  `call_content_type` varchar(255) default 'application/binary',
  `call_header` text COMMENT 'HTTP Header of the document at the given URL',
  `call_error` text COMMENT 'Error data or NULL',
  `duration` float default NULL COMMENT 'Duration in seconds of the download',
  `last_update` datetime default NULL COMMENT 'Date/time at which the URL process was ended',
  `method` enum('get','post') NOT NULL default 'get' COMMENT 'Only GET is implemented at the moment',
  `use_proxy` enum('yes','no') NOT NULL default 'no' COMMENT 'If set to yes, uses the HTTP Proxy',
  PRIMARY KEY  (`call_id`,`url_id`),
  KEY `idx_content_type` (`call_content_type`),
  KEY `idx_content_length` (`call_content_length`),
  KEY `idx_durations` (`duration`),
  KEY `idx_method` (`method`),
  CONSTRAINT `fk_ajax_call_urls_ajax_calls` FOREIGN KEY (`call_id`) REFERENCES `ajax_calls` (`call_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_articles`
--

DROP TABLE IF EXISTS `user_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_articles` (
  `assoc_id` int(10) unsigned NOT NULL auto_increment,
  `user_id` varchar(16) NOT NULL,
  `article_id` varchar(255) NOT NULL COMMENT 'The article identifier',
  `ts` timestamp NOT NULL default CURRENT_TIMESTAMP COMMENT 'The current time',
  PRIMARY KEY  (`assoc_id`),
  KEY `FK_user_articles_users` (`user_id`),
  CONSTRAINT `FK_user_articles_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `languages_sections`
--

DROP TABLE IF EXISTS `languages_sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages_sections` (
  `section_id` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY  (`section_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sections of the translation mechanism';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `briefcase_contents_types`
--

DROP TABLE IF EXISTS `briefcase_contents_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_contents_types` (
  `type_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The type identifier',
  `name` varchar(100) NOT NULL COMMENT 'The type name',
  `description` text COMMENT 'The type description',
  PRIMARY KEY  (`type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='The list of type contents from the briefcase';
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `briefcase_contents_types` WRITE;
/*!40000 ALTER TABLE `briefcase_contents_types` DISABLE KEYS */;
INSERT INTO `briefcase_contents_types` VALUES (1,'Articles',NULL),(2,'Searches',NULL),(3,'Documents',NULL),(4,'Locations',NULL),(5,'Shared objects',NULL);
/*!40000 ALTER TABLE `briefcase_contents_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `translation_values`
--

DROP TABLE IF EXISTS `translation_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `translation_values` (
  `section_id` varchar(255) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `language_id` varchar(3) NOT NULL,
  `data` text,
  PRIMARY KEY  (`section_id`,`keyword`,`language_id`),
  KEY `idx_translation_values_sections` (`section_id`,`language_id`),
  KEY `fk_translation_values_languages` (`language_id`),
  CONSTRAINT `fk_translation_values_languages` FOREIGN KEY (`language_id`) REFERENCES `languages` (`language_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_translation_values_translation` FOREIGN KEY (`section_id`, `keyword`) REFERENCES `translation` (`section_id`, `keyword`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Translated texts for each key';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translation_values`
--

LOCK TABLES `translation_values` WRITE;
/*!40000 ALTER TABLE `translation_values` DISABLE KEYS */;
INSERT INTO `translation_values` VALUES ('module/analysis','tabTitle','en','Analysis'),('module/analysis','tabTitle','fr','Analyses'),('module/analysis','tabTitle','it','Analisi'),('module/archive','channel','en','The channel name'),('module/archive','channel','fr','Nom de la chaîne'),('module/archive','channel','it','Nome del canale'),('module/archive','end_date','en','The end date'),('module/archive','end_date','fr','Date de fin'),('module/archive','end_date','it','Data del termine'),('module/archive','first','en','First page'),('module/archive','first','fr','Date de début'),('module/archive','first','it','Pagina iniziale'),('module/archive','last','en','Last page'),('module/archive','last','fr','Dernière page'),('module/archive','last','it','Pagina finale'),('module/archive','next','en','Next page'),('module/archive','next','fr','Page suivante'),('module/archive','next','it','Pagina seguente'),('module/archive','prev','en','Previous page'),('module/archive','prev','fr','Page précédente'),('module/archive','prev','it','Pagina precedente'),('module/archive','search','en','Search for video'),('module/archive','search','fr','Chercher'),('module/archive','search','it','Cerca un video'),('module/archive','start_date','en','The start date'),('module/archive','start_date','fr','Date de début'),('module/archive','start_date','it','Data di inizio'),('module/archive','tabTitle','en','Video archive'),('module/archive','tabTitle','fr','Archive vidéo'),('module/archive','tabTitle','it','Archivio video'),('module/article','tabTitle','en','Article'),('module/article','tabTitle','fr','Article'),('module/article','tabTitle','it','Article it'),('module/briefcase','add_folder','en','Add a folder'),('module/briefcase','add_folder','fr','Ajouter un dossier'),('module/briefcase','add_folder','it','Aggiungi una cartella'),('module/briefcase','delete_item','en','Delete selected item'),('module/briefcase','delete_item','fr','Supprimer un dossier'),('module/briefcase','delete_item','it','Cancella l\'elemento selezionato'),('module/briefcase','do_sort','en','Sort'),('module/briefcase','do_sort','fr','Trier'),('module/briefcase','do_sort','it','Sort it'),('module/briefcase','empty_folder','en','Empty selected folders'),('module/briefcase','empty_folder','fr','Empty selected folders fr'),('module/briefcase','empty_folder','it','Empty selected folders it'),('module/briefcase','export_briefcase','en','Export the briefcase'),('module/briefcase','export_briefcase','fr','Exporter mon porte-documents'),('module/briefcase','export_briefcase','it','Export the briefcase it'),('module/briefcase','export_briefcase_eidos','en','EIDOS Think Tools'),('module/briefcase','export_briefcase_eidos','fr','EIDOS Think Tools fr'),('module/briefcase','export_briefcase_eidos','it','EIDOS Think Tools it'),('module/briefcase','export_briefcase_mm','en','Free Mind'),('module/briefcase','export_briefcase_mm','fr','Free Mind'),('module/briefcase','export_briefcase_mm','it','Free Mind'),('module/briefcase','export_briefcase_mmap','en','Mind Map'),('module/briefcase','export_briefcase_mmap','fr','Mind Map fr'),('module/briefcase','export_briefcase_mmap','it','Mind Map it'),('module/briefcase','export_briefcase_pdf','en','PDF'),('module/briefcase','export_briefcase_pdf','fr','PDF'),('module/briefcase','export_briefcase_pdf','it','PDF'),('module/briefcase','export_briefcase_txt','en','Text file'),('module/briefcase','export_briefcase_txt','fr','Text file fr'),('module/briefcase','export_briefcase_txt','it','Text file it'),('module/briefcase','export_briefcase_xhtml','en','HTML file'),('module/briefcase','export_briefcase_xhtml','fr','HTML file fr'),('module/briefcase','export_briefcase_xhtml','it','HTML file it'),('module/briefcase','export_briefcase_xls','en','Microsoft Excel'),('module/briefcase','export_briefcase_xls','fr','Microsoft Excel'),('module/briefcase','export_briefcase_xls','it','Microsoft Excel'),('module/briefcase','export_to','en','Export'),('module/briefcase','export_to','fr','Exporter'),('module/briefcase','export_to','it','Export it'),('module/briefcase','include_page_breaks','en','Include page breaks between articles (only for export to PDF)'),('module/briefcase','include_page_breaks','fr','Insérer un saut de page entre les articles (uniquement pour le PDF)'),('module/briefcase','include_page_breaks','it','Include page breaks between articles (only for export to PDF) it'),('module/briefcase','rename_item','en','Rename selected item'),('module/briefcase','rename_item','fr','Renomme l\'élément sélectionné'),('module/briefcase','rename_item','it','Rinomina l\'elemento selezionato'),('module/briefcase','sort_briefcase','en','Sort the briefcase'),('module/briefcase','sort_briefcase','fr','Trier le porte-documents'),('module/briefcase','sort_briefcase','it','Sort the briefcase it'),('module/briefcase','sort_date','en','by date'),('module/briefcase','sort_date','fr','par date'),('module/briefcase','sort_date','it','by date it'),('module/briefcase','sort_publisher','en','by publisher'),('module/briefcase','sort_publisher','fr','par éditeur'),('module/briefcase','sort_publisher','it','by publisher it'),('module/briefcase','sort_title','en','by title'),('module/briefcase','sort_title','fr','par titre'),('module/briefcase','sort_title','it','by title it'),('module/briefcase','tabTitle','en','My briefcase'),('module/briefcase','tabTitle','fr','Mon porte documents'),('module/briefcase','tabTitle','it','Briefcase'),('module/briefcase','ui_type','en','Like Windows Explorer'),('module/briefcase','ui_type','fr','Like Windows Explorer fr'),('module/briefcase','ui_type','it','Like Windows Explorer it'),('module/countries','capital','en','Capital:'),('module/countries','capital','fr','Capitale'),('module/countries','capital','it','Capitale:'),('module/countries','ga_pub_date','en','Publication date:'),('module/countries','ga_pub_date','fr','Date de publication:'),('module/countries','ga_pub_date','it','Data di pubblicazione:'),('module/countries','ga_scale','en','Scale:'),('module/countries','ga_scale','fr','Echelle:'),('module/countries','ga_scale','it','Scala:'),('module/countries','ga_source','en','Source:'),('module/countries','ga_source','fr','Source:'),('module/countries','ga_source','it','Fonte:'),('module/countries','ga_subtheme','en','Sub-theme:'),('module/countries','ga_subtheme','fr','Sous-thème:'),('module/countries','ga_subtheme','it','Sotto tema:'),('module/countries','ga_theme','en','Theme:'),('module/countries','ga_theme','fr','Thème:'),('module/countries','ga_theme','it','Tema:'),('module/countries','ga_title','en','Title:'),('module/countries','ga_title','fr','Titre:'),('module/countries','ga_title','it','Titolo:'),('module/countries','global_atlas_title','en','Global Atlas'),('module/countries','global_atlas_title','fr','Global Atlas'),('module/countries','global_atlas_title','it','Global Atlas'),('module/countries','head_of_state','en','Head of state: '),('module/countries','head_of_state','fr','Chef d\'état:'),('module/countries','head_of_state','it','Capo di stato: '),('module/countries','head_of_state_title','en','Head of state title: '),('module/countries','head_of_state_title','fr','Titre du chef d\'état:'),('module/countries','head_of_state_title','it','Titolo del Capo di stato: '),('module/countries','relief_web_title','en','ReliefWeb'),('module/countries','relief_web_title','fr','ReliefWeb'),('module/countries','relief_web_title','it','ReliefWeb'),('module/countries','rw_pdf_url','en','The PDF on ReliefWeb site'),('module/countries','rw_pdf_url','fr','Le document PDF'),('module/countries','rw_pdf_url','it','Il PDF su ReliefWeb'),('module/countries','rw_web_url','en','The ReliefWeb page'),('module/countries','rw_web_url','fr','La page ReliefWeb'),('module/countries','rw_web_url','it','La Home Page di ReliefWeb'),('module/countries','search_country','en','Search for a country:'),('module/countries','search_country','fr','Chercher un pays:'),('module/countries','search_country','it','Cerca un paese:'),('module/countries','tabTitle','en','Countries'),('module/countries','tabTitle','fr','Pays'),('module/countries','tabTitle','it','Paesi'),('module/countries','toc_title','en','Table of contents'),('module/countries','toc_title','fr','Table des matières'),('module/countries','toc_title','it','Lista dei contenuti'),('module/countries','wikipedia_data','en','Wikipedia data'),('module/countries','wikipedia_data','fr','Données de Wikipedia'),('module/countries','wikipedia_data','it','Dati di Wikipedia'),('module/dummy','tabTitle','en','Dummy'),('module/dummy','tabTitle','fr','Factice'),('module/dummy','tabTitle','it','Dummy'),('module/flashearth','description','en','<p><strong><a href=\"http://www.flashearth.com/\" title=\"Open Flash Earth\" target=\"_blank\" >Flash Earth</a></strong>&nbsp;<em>© 1999-2010 <a href=\"http://www.neave.com/about/\" target=\"_blank\" title=\"About Neave\">Paul Neave</a></em> provides several satellite imagery services. The first, courtesy of NASA/GSFC/JLP-Caltech, OnEarth, MODIS, offers a detailed view of the ongoing weather conditions on a daily basis (NASA images are updated every 24 hours).</p>\n<p>You can navigate the map and switch also to other layers/sources like Microsoft Virtual Earth and Yahoo! Maps. Changing layer will give you the opportunity to find names of roads in specific cities, or the major georeferences items in a given country.</p>\n<p>The system also allows you to search for a specific location just by entering its name on the search box.</p>\n<p>&nbsp;</p>\n<p><strong>Attention:</strong> if you cannot find the location you are interested in using this tool try <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Wikimapia</a>. <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" style=\"text-decoration: none;\">Wikimapia</a> is an online map resource that combines Google Maps with a Wiki system, allowing users to add information (in the form of a note) to any location on the globe.</p>\n<p>&nbsp;</p>\n<p>Are you looking for downloadable maps? Go to the <a href=\"?module=countries\" target=\"_self\" title=\"Open the Countries section\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Countries section</a>.</p>'),('module/flashearth','description','fr','<p><strong><a href=\"http://www.flashearth.com/\" title=\"Ouvrir Flash Earth\" target=\"_blank\" >Flash Earth</a></strong>&nbsp;<em>© 1999-2010 <a href=\"http://www.neave.com/about/\" target=\"_blank\" title=\"About Neave\">Paul Neave</a></em> fourni plusieur services d\'imagerie satellite. Le premier, avec la permission de NASA/GSFC/JLP-Caltech, OnEarth, MODIS, offre quotidiennement une vue détaillée de la situation météorologique actuelle.</p>\n<p>Vous pouvez naviguer dans la carte et activer différentes source telles que Microsoft Virtual Earth et Yahoo! Maps. Changer de source vous donnera l\'opportunité de trouver le nom de routes et de villes spécifiques ainsi que les principaux éléments géoréférencés dans un pays donné.</p>\n<p>Le système vous permet de rechercher un emplacement simplement en introduisant son nom dans le formulaire de recherche.</p>\n<p>&nbsp;</p>\n<p><strong>Attention:</strong> si vous n\'arriviez toutefois pas à trouver un emplacement particulier vous pouvez essayer <a href=\"http://wikimapia.org/\" title=\"Open Wikimapia\" target=\"_blank\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">Wikimapia</a>. <a href=\"http://wikimapia.org/\" title=\"Ouvrir Wikimapia\" target=\"_blank\" style=\"text-decoration: none;\">Wikimapia</a> est un système en ligne qui combine les données de Google Maps avec un système de Wiki, permettant aux utilisateur d\'ajouter des informations (sous la forme de commentaires) à n\'importe quel point du globe.</p>\n<p>&nbsp;</p>\n<p>Recherchez vous des cartes téléchargeables? Si c\'est le cas, rendez-vous sur les <a href=\"?module=countries\" target=\"_self\" title=\"Ouvrir les pages Pays\" class=\"ui-state-highlight\" style=\"font-weight: bold; \">pages pays</a>.</p>'),('module/flashearth','tabTitle','en','Maps'),('module/flashearth','tabTitle','fr','Cartes'),('module/flashearth','tabTitle','it','Mappe'),('module/home','tabTitle','en','Home'),('module/home','tabTitle','fr','Accueil'),('module/home','tabTitle','it','Home'),('module/home','welcome','en','welcome'),('module/home','welcome','fr','bienvenue'),('module/home','welcome','it','Benvenuto'),('module/ifs','tabTitle','en','IFS page'),('module/ifs','tabTitle','fr','IFS page fr'),('module/ifs','tabTitle','it','IFS page it'),('module/javascript','tabTitle','en','Javascript translations'),('module/javascript','tabTitle','fr','Javascript translations'),('module/javascript','tabTitle','it','Javascript translations'),('module/newswires','flavour','en','Crisis Room Weblogs'),('module/newswires','flavour','fr','WebLogs de la Crisis Room'),('module/newswires','flavour','it','Crisis Room Weblogs it'),('module/newswires','tabTitle','en','Live Newswires'),('module/newswires','tabTitle','fr','Dépêches'),('module/newswires','tabTitle','it','Live Newswires'),('module/oxweb','tabTitle','en','Oxweb'),('module/oxweb','tabTitle','fr','Oxweb'),('module/oxweb','tabTitle','it','Oxweb'),('module/preferences','change_selection','en','Change the selection mode for the briefcase'),('module/preferences','change_selection','fr','Change the selection mode for the briefcase fr'),('module/preferences','change_selection','it','Change the selection mode for the briefcase it'),('module/preferences','checkbox_type','en','With checkboxes'),('module/preferences','checkbox_type','fr','With checkboxes fr'),('module/preferences','checkbox_type','it','With checkboxes it'),('module/preferences','newstickers_title','en','News tickers'),('module/preferences','newstickers_title','fr','News tickers fr'),('module/preferences','newstickers_title','it','News tickers it'),('module/preferences','newsticker_speed','en','News ticker speed'),('module/preferences','newsticker_speed','fr','Vitesse des informations déroulantes'),('module/preferences','newsticker_speed','it','News ticker speed it'),('module/preferences','newsticker_title','en','News ticker title'),('module/preferences','newsticker_title','fr','Titre du flux'),('module/preferences','newsticker_title','it','News ticker title it'),('module/preferences','newsticker_url','en','News ticker URL'),('module/preferences','newsticker_url','fr','URL du flux'),('module/preferences','newsticker_url','it','News ticker URL it'),('module/preferences','prefered_countries','en','The list of countries in which you are interested'),('module/preferences','prefered_countries','fr','Les pays qui vous intéressent'),('module/preferences','prefered_countries','it','The list of countries in which you are interested it'),('module/preferences','prefered_country','en','The prefered country'),('module/preferences','prefered_country','fr','Votre pays favoris'),('module/preferences','prefered_country','it','The prefered country it'),('module/preferences','prefered_theme','en','The prefered theme'),('module/preferences','prefered_theme','fr','Votre thème favori'),('module/preferences','prefered_theme','it','The prefered theme it'),('module/preferences','prefered_themes','en','The list of themes in which you are interested'),('module/preferences','prefered_themes','fr','Les thèmes qui vous intéressent'),('module/preferences','prefered_themes','it','The list of themes in which you are interested it'),('module/preferences','remove_selected','en','Remove selected'),('module/preferences','remove_selected','fr','Supprimer l\'élément sélectionné'),('module/preferences','remove_selected','it','Remove selected it'),('module/preferences','selected_countries','en','Selected countries'),('module/preferences','selected_countries','fr','Selected countries frPays sélectionnés'),('module/preferences','selected_countries','it','Selected countries it'),('module/preferences','selected_themes','en','Selected themes'),('module/preferences','selected_themes','fr','Selected themes fr'),('module/preferences','selected_themes','it','Selected themes it'),('module/preferences','selected_timezones','en','Selected timezones'),('module/preferences','selected_timezones','fr','Selected timezones fr'),('module/preferences','selected_timezones','it','Selected timezones it'),('module/preferences','select_theme','en','Themes list'),('module/preferences','select_theme','fr','List des thèmes'),('module/preferences','select_theme','it','Themes list it'),('module/preferences','tabTitle','en','Preferences'),('module/preferences','tabTitle','fr','Préférences'),('module/preferences','tabTitle','it','Preferences it'),('module/preferences','tags','en','The tags'),('module/preferences','tags','fr','Les Tags'),('module/preferences','tags','it','The tags it'),('module/preferences','tags_text','en','Tags explanatory text'),('module/preferences','tags_text','fr','Tags explanatory text fr'),('module/preferences','tags_text','it','Tags explanatory text it'),('module/preferences','timezones','en','The time zones'),('module/preferences','timezones','fr','Les fuseaux horaires '),('module/preferences','timezones','it','The time zones it'),('module/preferences','ui_type','en','Like Windows Explorer'),('module/preferences','ui_type','fr','Utiliser le style Windows'),('module/preferences','ui_type','it','Like Windows Explorer it'),('module/preferences','visual_theme','en','The visual theme'),('module/preferences','visual_theme','fr','Votre thème visuel'),('module/preferences','visual_theme','it','The visual theme it'),('module/riskmap','latest_news','en','World news'),('module/riskmap','latest_news','fr','Informations'),('module/riskmap','latest_news','it','World news it'),('module/riskmap','tabTitle','en','Home'),('module/riskmap','tabTitle','fr','Accueil'),('module/riskmap','tabTitle','it','Home'),('module/search','advanced_search','en','Advanced search'),('module/search','advanced_search','fr','Recherche avancée'),('module/search','advanced_search','it','Advanced search it'),('module/search','all_words','en','all these words'),('module/search','all_words','fr','all these words fr'),('module/search','all_words','it','all these words it'),('module/search','country','en','Country'),('module/search','country','fr','Country fr'),('module/search','country','it','Country fr'),('module/search','date_10year','en','Previous 10 Years'),('module/search','date_10year','fr','Les 10 dernières années'),('module/search','date_10year','it','Previous 10 Years it'),('module/search','date_2year','en','Previous 2 Years'),('module/search','date_2year','fr','Les 2 dernières années'),('module/search','date_2year','it','Previous 2 Years it'),('module/search','date_5year','en','Previous 5 Years'),('module/search','date_5year','fr','Les 5 dernières années'),('module/search','date_5year','it','Previous 5 Years it'),('module/search','date_6month','en','Previous 6 Months'),('module/search','date_6month','fr','Les 6 derniers mois'),('module/search','date_6month','it','Previous 6 Months it'),('module/search','date_month','en','Previous Month'),('module/search','date_month','fr','Le mois passé'),('module/search','date_month','it','Previous Month it'),('module/search','date_week','en','Previous Week'),('module/search','date_week','fr','La semaine passée'),('module/search','date_week','it','Previous Week it'),('module/search','date_year','en','Previous Year'),('module/search','date_year','fr','L\'année passée'),('module/search','date_year','it','Previous Year it'),('module/search','deselect_all_link','en','Deselect all'),('module/search','deselect_all_link','fr','Tout désélectionner'),('module/search','deselect_all_link','it','Deseleziona tutto'),('module/search','end_date','en','To'),('module/search','end_date','fr','à'),('module/search','end_date','it','To it'),('module/search','exact_words','en','this exact wording or phrase'),('module/search','exact_words','fr','this exact wording or phrase fr'),('module/search','exact_words','it','this exact wording or phrase it'),('module/search','Factiva_title','en','Factiva'),('module/search','Factiva_title','fr','Factiva'),('module/search','Factiva_title','it','Factiva'),('module/search','file','en','File name: '),('module/search','file','fr','Nom de fichier:'),('module/search','file','it','Nome del file: '),('module/search','file_type','en','File type'),('module/search','GoogleBlogs_title','en','Google Blogs'),('module/search','GoogleBlogs_title','fr','Google Blogs'),('module/search','GoogleBlogs_title','it','Google Blogs it'),('module/search','GoogleImages_title','en','Google Images'),('module/search','GoogleImages_title','fr','Google Images'),('module/search','GoogleImages_title','it','Google Images it'),('module/search','GoogleNews_title','en','Google News'),('module/search','GoogleNews_title','fr','Google News'),('module/search','GoogleNews_title','it','Google News it'),('module/search','GoogleWeb_title','en','Google Web'),('module/search','GoogleWeb_title','fr','Google Web'),('module/search','GoogleWeb_title','it','Google Web'),('module/search','google_dont_have','en','But don\'t show pages that have...'),('module/search','google_dont_have','fr','But don\'t show pages that have... fr'),('module/search','google_dont_have','it','But don\'t show pages that have... it'),('module/search','google_find_web_pages','en','Find web pages that have...'),('module/search','google_find_web_pages','fr','Find web pages that have... fr'),('module/search','google_find_web_pages','it','Find web pages that have... it'),('module/search','google_more_tools','en','Need more tools?'),('module/search','google_off','en','Off'),('module/search','google_off','fr','Off'),('module/search','google_off','it','Off it'),('module/search','google_on','en','On'),('module/search','google_on','fr','On'),('module/search','google_on','it','On it'),('module/search','google_or','en','OR'),('module/search','google_range_example','en','(e.g.: $1500..$3000)'),('module/search','google_range_example','fr','(ex: $1500..$3000)'),('module/search','google_range_example','it','(e.g.: $1500..$3000) it'),('module/search','help_button','en','Help'),('module/search','help_button','fr','Aide'),('module/search','help_button','it','Help'),('module/search','help_text','en','<div>\n    Search for articles using any of the sources listed below.\n</div>\n<ul>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\": <br/>\n	<code>afghanistan kabul</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>\n	<code>title(afghanistan) and title(kabul)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>\n	<code>summary(afghanistan) and summary(kabul)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news which are provided by reuters: <br/>\n	<code>source(reuters)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can combine any of the criterias. For example:<br/>\n		<code>title(afghanistan) and summary(kabul) and source(reuters)</code><br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can replace the operator with the \"or\" operator or with the \"and not\" operator. For example:<br/>\n		<code>(title(afghanistan) or summary(kabul)) and not source(reuters)</code>, meaning that you are looking for all the sources which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>title(afghanistan) range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>title(afghanistan) previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text','fr','Simple search help text fr'),('module/search','help_text','it','Simple search help text it'),('module/search','help_text_GoogleBlogs','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleBlogs','fr','GoogleBlogs search help fr'),('module/search','help_text_GoogleBlogs','it','GoogleBlogs search help it'),('module/search','help_text_GoogleNews','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleNews','fr','GoogleNews search help fr'),('module/search','help_text_GoogleNews','it','GoogleNews search help it'),('module/search','help_text_GoogleWeb','en','<div>\n    Search for articles using Google.\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and/or \"kinshasa\" in their title:<br/>\n	<code>intitle:congo OR intitle:kinshasa</code><br/>\n	<code style=\"color: red;\">the OR operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles containing the phrase \"democratic republic of congo\": <br/>\n	<code>\"democratic republic of congo\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism from pakistanese or in indian sources: <br/>\n	<code>terrorism location:pakistan OR location:india</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>terrorism location:pakistan OR location:india range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>terrorism location:pakistan OR location:india previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_GoogleWeb','fr','GoogleWeb search help fr'),('module/search','help_text_GoogleWeb','it','GoogleWeb search help it'),('module/search','help_text_LatestNews','en','<div>\n    Search for articles using the DG COMM newswires.\n</div>\n<ul>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>\n	<code>lower(title) like \'%afghanistan%\' and lower(title) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>\n	<code>lower(summary) like \'%afghanistan%\' and lower(summary) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news which are provided by reuters: <br/>\n	<code>lower(agency) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can combine any of the criterias. For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' and lower(summary) like \'%kabul%\' and lower(agency) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can replace the \"and\" operator with the \"or\" operator or with the \"not like\" operator. For example:<br/>\n		<code>(lower(title) like \'%afghanistan%\' or lower(summary) like \'%kabul%\') and lower(agency) not like \'%reuters%\'</code>, meaning that you are looking for all the sources which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>lower(title) like \'%afghanistan%\' previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_LatestNews','fr','LatestNews search help fr'),('module/search','help_text_LatestNews','it','LatestNews search help it'),('module/search','help_text_LexisNexis','en','<div>\n    Search for articles using LexisNexis\n</div>\n<ul>\n    <li>\n	Search for articles having the words \"congo\" and \"kinshasa\" in their title:<br/>\n	<code>headline(congo and kinshasa)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles having the phrase \"democratic republic of congo\" in their first paragraph: <br/>\n	<code>hlead(\"democratic republic of congo\")</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles speaking about terrorism in pakistan or in india: <br/>\n	We will search for all the words beginning by <i>terror</i> in the first paragraph of the article, using the <code><b>!</b></code> wildcard operator at the end of the word: <br/>\n	<code>country(pakistan #90plus# or india #90plus#) and hlead(terror<b>!</b>)</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		The syntax: <code>country(xxx #90plus#)</code> means that we wants only the articles that lexisnexis has detected as beeing related to the country xxx, with a certitude level of at least 90%. <br/>\n		<div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>title(afghanistan) range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>title(afghanistan) previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_LexisNexis','fr','LexisNexis search help fr'),('module/search','help_text_LexisNexis','it','LexisNexis search help it'),('module/search','help_text_OxfordAnalytica','en','<div>\n    Search for articles using Oxford Analytica.\n</div>\n<ul>\n    <li>\n	Search for articles that contain the word \"Military\":<br/>\n	<code>military</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles that contain the sentence \"West Africa\": <br/>\n	<code>\"west africa\"</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for articles that contain <strong>both</strong> the sentence \"West Africa\" and the word \"Military\": <br/>\n	<code>\"west africa\" <strong>AND</strong> military</code><br/>\n	<code>the AND operator must be in capital letters</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>\"west africa\" range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>\"west africa\" previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_OxfordAnalytica','fr','OxfordAnalytica search help fr'),('module/search','help_text_OxfordAnalytica','it','OxfordAnalytica search help it'),('module/search','help_text_RSS_aggregator','en','<div>\n    Search for articles using the DG COMM newswires.\n</div>\n<ul>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their title: <br/>\n	<code>lower(title) like \'%afghanistan%\' and lower(title) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news containing the words \"afghanistan\" and \"kabul\" in their summary: <br/>\n	<code>lower(description) like \'%afghanistan%\' and lower(description) like \'%kabul%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	Search for any of the news which are provided by reuters: <br/>\n	<code>lower(author) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n    </li>\n    <li>\n	<strong>Notes: </strong><br/>\n	<ol>\n	    <li>\n		You can combine any of the criterias. For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' and lower(description) like \'%kabul%\' and lower(author) like \'%reuters%\'</code><br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can replace the \"and\" operator with the \"or\" operator or with the \"not like\" operator. For example:<br/>\n		<code>(lower(title) like \'%afghanistan%\' or lower(description) like \'%kabul%\') and lower(author) not like \'%reuters%\'</code>, meaning that you are looking for all the sources which contain \"afghanistan\" in their title or \"kabul\" in their first paragraph and are not provided by \"reuters\".<br/><div>&nbsp;</div>\n	    </li>\n	    <li>\n		You can specify through the syntax a date restriction to search using the keywords \"range\" or \"date\". For example:<br/>\n		<code>lower(title) like \'%afghanistan%\' range(01/01/2010, 01/07/2010)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published between 01/01/2010 and 01/07/2010. <br/><br/>\n		<code>lower(title) like \'%afghanistan%\' previous(7)</code>, meaning that you are looking for all the news which contain \"afghanistan\" in their title and are published in the last week.<br/><br/><br/>\n		<i><strong>Attention: </strong> You cannot specify a date restriction through the syntax and also through the form fields. In this case, you will receive the following error message: \"Syntax error: You selected two dates. One from the syntax and one from the form fields. This is not permitted. \"</i>\n	    </li>\n	</ol>\n    </li>\n</ul>'),('module/search','help_text_RSS_aggregator','fr','RSS_Aggregators search help fr'),('module/search','help_text_RSS_aggregator','it','RSS_Aggregators search help it'),('module/search','help_text_Virage','en','Virage search help'),('module/search','help_text_Virage','fr','Virage search help fr'),('module/search','help_text_Virage','it','Virage search help it'),('module/search','help_title','en','Help'),('module/search','help_title','fr','Help fr'),('module/search','help_title','it','Help it'),('module/search','how_recent','en','Date: (how recent the page is)'),('module/search','how_recent','fr','Date:'),('module/search','how_recent','it','Date: (how recent the page is) it'),('module/search','keywords','en','Where your keywords show up'),('module/search','keywords','fr','Où les mots clés apparaissent-ils?'),('module/search','keywords','it','Where your keywords show up it'),('module/search','language','en','Language'),('module/search','LatestNews_title','en','Newswires'),('module/search','LatestNews_title','fr','Newswires'),('module/search','LatestNews_title','it','Newswires'),('module/search','LexisNexis_title','en','Lexis Nexis'),('module/search','LexisNexis_title','fr','Lexis Nexis'),('module/search','LexisNexis_title','it','Lexis Nexis'),('module/search','LN_Aggregators_title','en','DG COMM Feeds'),('module/search','LN_Aggregators_title','fr','Flux des Newswires'),('module/search','LN_Aggregators_title','it','DG COMM Feeds it'),('module/search','modify_search','en','Modify the search'),('module/search','modify_search','fr','Modifier les critères'),('module/search','modify_search','it','Modifica la ricerca'),('module/search','no_date_restriction','en','No Date Restrictions'),('module/search','no_date_restriction','fr','Pas de restriction de date'),('module/search','no_date_restriction','it','No Date Restrictions it'),('module/search','no_words','en','any of these unwanted words'),('module/search','no_words','fr','any of these unwanted words fr'),('module/search','no_words','it','any of these unwanted words it'),('module/search','numeric_range','en','Numeric range'),('module/search','numeric_range','fr','Plage numérique:'),('module/search','numeric_range','it','Numeric range it'),('module/search','or_words','en','one or more of there words'),('module/search','or_words','fr','one or more of there words fr'),('module/search','or_words','it','one or more of there words it'),('module/search','OxfordAnalytica_title','en','Oxford Analytica'),('module/search','OxfordAnalytica_title','fr','Oxford Analytica'),('module/search','OxfordAnalytica_title','it','Oxford Analytica'),('module/search','range','en','When to start the search (How many days ago)?'),('module/search','range','fr','Quand commencer la recherche (Depuis combien de jours)?'),('module/search','range','it','When to start the search (How many days ago)? it'),('module/search','range_days','en','For how long (how many days after the start date)?'),('module/search','range_days','fr','Pour combien de temps (Combien de jours depuis le début)?'),('module/search','range_days','it','For how long (how many days after the start date)? it'),('module/search','regions','en','Region'),('module/search','regions','fr','Région'),('module/search','regions','it','Region it'),('module/search','remove_source','en','Remove selected source'),('module/search','remove_source','fr','Enlever la source sélectionnée:'),('module/search','remove_source','it','Elimina la fonte selezionata'),('module/search','restrict_by_date','en','Restrict by date'),('module/search','restrict_by_date','fr','Restreindre par date'),('module/search','restrict_by_date','it','Restrict by date it'),('module/search','results','en','Results'),('module/search','results','fr','Résultats'),('module/search','results','it','Results it'),('module/search','results_per_page','en','Results per page:'),('module/search','results_per_page','fr','Résultats par page:'),('module/search','results_per_page','it','Risultati per pagina:'),('module/search','RSS_aggregator_title','en','RSS Feeds'),('module/search','RSS_aggregator_title','fr','Flux RSS'),('module/search','RSS_aggregator_title','it','RSS Feeds it'),('module/search','safe_search','en','SafeSearch'),('module/search','safe_search','fr','SafeSearch'),('module/search','safe_search','it','SafeSearch it'),('module/search','save_search','en','Save the search to my briefcase'),('module/search','save_search','fr','Sauver les critères de recherche dans le porte-documents'),('module/search','save_search','it','Salva la ricerca nel briefcase'),('module/search','saving_to_briefcase','en','Saving to briefcase. Please wait...'),('module/search','saving_to_briefcase','fr','Sauvegarde dans le porte-documents, veuillez-patienter...'),('module/search','saving_to_briefcase','it','Salvataggio nel briefcase in corso. Attendere...'),('module/search','searching','en','Searching for news. Please wait...'),('module/search','searching','fr','Recherche des articles, veuillez-patienter...'),('module/search','searching','it','Ricerca delle news in corso. Attendere...'),('module/search','search_button','en','Search'),('module/search','search_button','fr','Recherche'),('module/search','search_button','it','Cerca'),('module/search','search_feed','en','Please select a feed'),('module/search','search_feed','fr','Veuillez sélectionner un flux'),('module/search','search_feed','it','Please select a feed it'),('module/search','search_results','en','Search results'),('module/search','search_results','fr','Résultats'),('module/search','search_results','it','Risultati della ricerca'),('module/search','search_terms','en','Search terms'),('module/search','search_terms','fr','Critères de recherche'),('module/search','search_terms','it','Termini di ricerca'),('module/search','search_type_exec','en','Executive summaries'),('module/search','search_type_exec','fr','Executive summaries fr'),('module/search','search_type_exec','it','Executive summaries it'),('module/search','search_type_full','en','Full length articles'),('module/search','search_type_full','fr','Full length articles fr'),('module/search','search_type_full','it','Full length articles it'),('module/search','selected_sources','en','Selected sources:'),('module/search','selected_sources','fr','Sources sélectionnées'),('module/search','selected_sources','it','Fonti selezionate:'),('module/search','select_all_link','en','Select all'),('module/search','select_all_link','fr','Tout sélectionner'),('module/search','select_all_link','it','Seleziona tutto'),('module/search','sel_asc','en','Ascendent'),('module/search','sel_asc','fr','Ascendant'),('module/search','sel_asc','it','Ascendente'),('module/search','sel_date','en','By date'),('module/search','sel_date','fr','Par date'),('module/search','sel_date','it','Per data'),('module/search','sel_desc','en','Descendent'),('module/search','sel_desc','fr','Descendant'),('module/search','sel_desc','it','Discendente'),('module/search','sel_endtime','en','End time'),('module/search','sel_endtime','fr','Date de fin'),('module/search','sel_endtime','it','Orario del termine'),('module/search','sel_implied','en','Implied'),('module/search','sel_implied','fr','Implicite'),('module/search','sel_implied','it','Implied'),('module/search','sel_relevance','en','By relevance'),('module/search','sel_relevance','fr','Par pertinance'),('module/search','sel_relevance','it','Per rilevanza'),('module/search','sel_starttime','en','Start time'),('module/search','sel_starttime','fr','Date de début'),('module/search','sel_starttime','it','Orario di inizio'),('module/search','send_to_briefcase','en','Save selected articles into my briefcase'),('module/search','send_to_briefcase','fr','Sauver les articles sélectionnés dans le porte-documents'),('module/search','send_to_briefcase','it','Invia gli articoli selezionati al briefcase'),('module/search','share_result','en','Share the results of this search'),('module/search','share_result','fr','Partager les résultats de cette recherche'),('module/search','share_result','it','Condividi i risultati di questa ricerca'),('module/search','site','en','Search within a site or domain'),('module/search','sort_by','en','Sort by: '),('module/search','sort_by','fr','Trier par:'),('module/search','sort_by','it','Ordina per: '),('module/search','sort_order','en','Sort order:'),('module/search','sort_order','fr','Sens du tri:'),('module/search','sort_order','it','Criterio di ordinamento:'),('module/search','sources','en','Select a source:'),('module/search','sources','fr','Sélectionner une source:'),('module/search','sources','it','Seleziona una fonte:'),('module/search','source_title','en','Sources'),('module/search','source_title','fr','Sources'),('module/search','source_title','it','Fonti'),('module/search','start_date','en','From'),('module/search','start_date','fr','De'),('module/search','start_date','it','Data di inizio'),('module/search','tabTitle','en','Search'),('module/search','tabTitle','fr','Recherche'),('module/search','tabTitle','it','Cerca'),('module/search','terms','en','Search terms'),('module/search','terms','fr','Critères de recherche'),('module/search','terms','it','Termini di ricerca'),('module/search','title','en','Search'),('module/search','title','fr','Recherche'),('module/search','title','it','Cerca'),('module/search','titling','en','Titling'),('module/search','titling','fr','Titling fr'),('module/search','titling','it','Titling it'),('module/search','topic','en','Topic'),('module/search','topic','fr','Topic fr'),('module/search','topic','it','Topic it'),('module/search','url','en','File URL:'),('module/search','url','fr','URL du fichier:'),('module/search','url','it','Indirizzo URL del file:'),('module/search','usage','en','Usage rights'),('module/search','usage','fr','Droits d\'utilisation'),('module/search','usage','it','Usage rights it'),('module/search','use_stemming','en','Use stemming?'),('module/search','use_stemming','fr','Faut-il utiliser le stemming?'),('module/search','use_stemming','it','Usa derivazione?'),('module/search','Virage_title','en','Virage'),('module/search','Virage_title','fr','Virage'),('module/search','Virage_title','it','Virage'),('module/streaming','tabTitle','en','Live Streaming'),('module/streaming','tabTitle','fr','Vidéos en Live'),('module/streaming','tabTitle','it','Live Streaming'),('module/themes','article','en','Article:'),('module/themes','article','fr','Article:'),('module/themes','article','it','Articolo:'),('module/themes','edit_text','en','Edit the text'),('module/themes','edit_text','fr','Modifier le texte'),('module/themes','edit_text','it','Modifica il testo'),('module/themes','headline','en','Headline:'),('module/themes','headline','fr','Titre:'),('module/themes','headline','it','Titolo:'),('module/themes','main_tab_title','en','Latest news'),('module/themes','main_tab_title','fr','Dernières nouvelles'),('module/themes','main_tab_title','it','Latest news it'),('module/themes','read_more','en','Read more...'),('module/themes','read_more','fr','Lire la suite...'),('module/themes','read_more','it','Continua la lettura...'),('module/themes','root_node_name','en','List of themes'),('module/themes','root_node_name','fr','Liste des thèmes'),('module/themes','root_node_name','it','Elenco dei temi'),('module/themes','tabTitle','en','Themes'),('module/themes','tabTitle','fr','Thèmes'),('module/themes','tabTitle','it','Temi'),('module/themes','usefull_links','en','Useful links'),('module/themes','usefull_links','fr','Liens utiles'),('module/themes','usefull_links','it','Useful links it'),('module/training','tabTitle','en','Training'),('module/training','tabTitle','fr','Formation'),('module/training','tabTitle','it','Training it'),('root','active_filter','en','Filter'),('root','active_filter','fr','Filtre'),('root','active_filter','it','Filtro'),('root','answer_no','en','No'),('root','answer_no','fr','Non'),('root','answer_no','it','No'),('root','answer_yes','en','Yes'),('root','answer_yes','fr','Oui'),('root','answer_yes','it','Si'),('root','appDescription','en',NULL),('root','appDescription','fr',NULL),('root','appDescription','it',''),('root','appSubtitle','en','Knowledge for conflict prevention and risk assessment'),('root','appSubtitle','fr','Knowledge for conflict prevention and risk assessment'),('root','appSubtitle','it','Conoscenza per la prevenzione dei conflitti e per la valutatione del rischio'),('root','appTitle','en','Tarîqa 3.0'),('root','appTitle','fr','Tarîqa 3.0'),('root','appTitle','it','Tarîqa 3.0'),('root','article_controls','en','Controls'),('root','article_controls','fr','Contrôles'),('root','article_controls','it','Controls IT'),('root','beta_contribution_text','en','<p>Tarîqa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tarîqa, ...<br/>\nTarîqa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Crisis-Room Team<br/>\nPhone: +32(0)229 <b>90909</b><br/>\nMail: <a href=\"mailto:RELEX-TARIQA@ec.europa.eu\">RELEX-TARIQA@ec.europa.eu</a><br/>\n</p>'),('root','beta_contribution_text','fr','<p>Tarîqa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tarîqa, ...<br/>\nTarîqa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Crisis-Room Team<br/>\nPhone: +32(0)229 <b>90909</b><br/>\nMail: <a href=\"mailto:RELEX-TARIQA@ec.europa.eu\">RELEX-TARIQA@ec.europa.eu</a><br/>\n</p> fr'),('root','beta_contribution_text','it','<p>Tarîqa 3.0 has been released on the 8/12/2010 as a Beta version.<br/>\nIt means that the product is not final but yet stable enough to be opened to the end-users.<br/>\n</p>\n<p>During this Beta phase you are highly encouraged to share your comments and suggestions with the Crisis-Room. <br/>\nWe are especially looking for recommendations of local sources you use in your daily work, ideas on how to improve the ergonomy of the application, new functions that could be integrated in Tarîqa, ...<br/>\nTarîqa is made for you, your feedback is extremely important to us!\n</p>\n<p>Best regards,\n</p>\n<p>The Crisis-Room Team<br/>\nPhone: +32(0)229 <b>90909</b><br/>\nMail: <a href=\"mailto:RELEX-TARIQA@ec.europa.eu\">RELEX-TARIQA@ec.europa.eu</a><br/>\n</p> it'),('root','beta_contribution_title','en','Please contribute to Beta'),('root','beta_contribution_title','fr','Vous pouvez contribuer à la version Beta'),('root','beta_contribution_title','it','Please contribute to Beta it'),('root','breadcrumb','en','Current location'),('root','breadcrumb','fr','Navigation'),('root','breadcrumb','it','Posizione attuale'),('root','breakingnews_title','en','Breaking News'),('root','breakingnews_title','fr','Breaking News'),('root','breakingnews_title','it','Breaking News it'),('root','briefcase_no_folder','en','No folder'),('root','briefcase_no_folder','fr','Aucun dossier'),('root','briefcase_no_folder','it','No folder it'),('root','change_source','en','Change the source:'),('root','change_source','fr','Changer de source:'),('root','change_source','it','Cambia la fonte:'),('root','copyright','en','Copyright © 2009 - 2010, European Commission.'),('root','copyright','fr','Copyright © 2009 - 2010, European Commission.'),('root','copyright','it','Copyright © 2009 - 2010, European Commission.'),('root','create_folder','en','Create new folder'),('root','create_folder','fr','Créer un dossier'),('root','create_folder','it','Crea una nuova cartella'),('root','doc_rep_title','en','Documents repository'),('root','doc_rep_title','fr','Documents partagés'),('root','doc_rep_title','it','Documents repository'),('root','end_date','en','End date'),('root','end_date','fr','Date de fin'),('root','end_date','it','Data di chiusura'),('root','feedback','en','Send us your feedback'),('root','feedback','fr','Envoyez nous vos commentaires'),('root','feedback','it','Inviaci il tuo feedback'),('root','filter','en','Filter the news'),('root','filter','fr','Filter les articles'),('root','filter','it','Filtra le news'),('root','filter_dialog','en','Filter the news'),('root','filter_dialog','fr','Filter les articles'),('root','filter_dialog','it','Filtra le news'),('root','from','en','From'),('root','from','fr','Depuis'),('root','from','it','Da'),('root','generic_pdf_title','en','PDF Documents'),('root','generic_pdf_title','fr','Document PDF'),('root','generic_pdf_title','it','PDF Documents it'),('root','langswitch/en','en','English'),('root','langswitch/en','fr','English'),('root','langswitch/en','it','English'),('root','langswitch/fr','en','Français'),('root','langswitch/fr','fr','Français'),('root','langswitch/fr','it','Français'),('root','langswitch/it','en','Italiano'),('root','langswitch/it','fr','Italiano'),('root','langswitch/it','it','Italiano'),('root','langswitch/pref','en','User preferences'),('root','langswitch/pref','fr','Vos préférences'),('root','langswitch/pref','it','User preferences it'),('root','loading_news','en','Saving the articles to briefcase. Please wait...'),('root','loading_news','fr','Sauvegarde dans le porte document, veuillez patienter'),('root','loading_news','it','Salvataggio degli articoli nel briefcase. Attendere...'),('root','loggedInAs','en','Logged-in as'),('root','loggedInAs','fr','Connecté en tant que'),('root','loggedInAs','it','Logged-in as it'),('root','logout','en','Logout'),('root','logout','fr','Se déconnecter'),('root','logout','it','Logout it'),('root','modify_search','en','Modify the search'),('root','modify_search','fr','Modify the search fr'),('root','modify_search','it','Modify the search it'),('root','navigation_first','en','First page'),('root','navigation_first','fr','Première page'),('root','navigation_first','it','Pagina iniziale'),('root','navigation_last','en','Last page'),('root','navigation_last','fr','Dernière page'),('root','navigation_last','it','Pagina finale'),('root','navigation_next','en','Next page'),('root','navigation_next','fr','Page suivante'),('root','navigation_next','it','Pagina seguente'),('root','navigation_previous','en','Previous page'),('root','navigation_previous','fr','Page précédente'),('root','navigation_previous','it','Pagina precedente'),('root','open_article_from_briefcase','en','Open the article locally'),('root','open_article_from_briefcase','fr','Ouvrir l\'article mis en cache'),('root','open_article_from_briefcase','it','Open the article locally it'),('root','preferencesTitle','en','Set your preferences'),('root','preferencesTitle','fr','Modifier vos préférences'),('root','preferencesTitle','it','Set your preferences it'),('root','recycle_bin','en','Recycle bin'),('root','recycle_bin','fr','Corbeille'),('root','recycle_bin','it','Cestino'),('root','remove_filter','en','Remove'),('root','remove_filter','fr','Retirer'),('root','remove_filter','it','Rimuovi'),('root','save_search','en','Save the search to briefcase'),('root','save_search','fr','Sauver les critères de recherche'),('root','save_search','it','Salva la ricerca nel briefcase'),('root','search','en','Search'),('root','search','fr','Chercher'),('root','search','it','Cerca'),('root','select_briefcase_folder','en','Please select a folder'),('root','select_briefcase_folder','fr','Veuillez sélectionner un dossier'),('root','select_briefcase_folder','it','Please select a folder it'),('root','send_article_to_briefcase','en','Save article into my briefcase'),('root','send_article_to_briefcase','fr','Sauver l\'article dans le porte documents'),('root','send_article_to_briefcase','it','Send article to briefcase it'),('root','send_to_briefcase','en','Save selected articles to my briefcase'),('root','send_to_briefcase','fr','Sauver les articles sélectionnés'),('root','send_to_briefcase','it','Invia gli articoli selezionati al briefcase'),('root','share_advanced_search','en','Advanced'),('root','share_advanced_search','fr','Recherche avancée'),('root','share_advanced_search','it','Avanzate'),('root','share_article','en','Share article'),('root','share_article','fr','Partager cet article'),('root','share_article','it','Share article it'),('root','share_department','en','Department'),('root','share_department','fr','Département'),('root','share_department','it','Dipartimento'),('root','share_dg','en','DG'),('root','share_dg','fr','DG'),('root','share_dg','it','DG'),('root','share_display_name','en','Name'),('root','share_display_name','fr','Nom'),('root','share_display_name','it','Nome'),('root','share_filter_text','en','Search terms'),('root','share_filter_text','fr','Critères de recherche'),('root','share_filter_text','it','Ricerca parole'),('root','share_group','en','Group'),('root','share_group','fr','Groupe'),('root','share_group','it','Gruppo'),('root','share_group_RELEX_TARIQAEC','en','European Commission'),('root','share_group_RELEX_TARIQAEC','fr','Commission Européenne'),('root','share_group_RELEX_TARIQAEC','it','Commissione Europea'),('root','share_group_RELEX_TARIQAMS','en','Member state'),('root','share_group_RELEX_TARIQAMS','fr','Etat membre'),('root','share_group_RELEX_TARIQAMS','it','Stati membri'),('root','share_group_RELEX_TARIQANG','en','Non-governmental organization'),('root','share_group_RELEX_TARIQANG','fr','Organisations non gouvernementales'),('root','share_group_RELEX_TARIQANG','it','Organizzazioni non governative'),('root','share_group_RELEX_TARIQARX','en','DG RELEX'),('root','share_group_RELEX_TARIQARX','fr','DG RELEX'),('root','share_group_RELEX_TARIQARX','it','DG RELEX'),('root','share_list_search','en','Search lists'),('root','share_list_search','fr','Listes de recherche'),('root','share_list_search','it','Cerca elenchi'),('root','share_list_text','en','List name'),('root','share_list_text','fr','Nom de la liste'),('root','share_list_text','it','Nome dell\'elenco'),('root','share_mail','en','E-mail'),('root','share_mail','fr','E-mail'),('root','share_mail','it','E-mail'),('root','share_mail_briefcase_link','en','You can access the articles'),('root','share_mail_briefcase_link','fr','You can access the articles fr'),('root','share_mail_briefcase_link','it','You can access the articles it'),('root','share_mail_here','en','here'),('root','share_mail_here','fr','here fr'),('root','share_mail_here','it','here it'),('root','share_mail_text','en','wants to share with you the following articles: '),('root','share_mail_text','fr','souhaites partager les articles suivants avec vous: '),('root','share_mail_text','it','vuole condividere con te i seguenti articoli: '),('root','share_note','en','*Please select the contacts that you want to share with. Please note that you may use SHIFT or CONTROL to select multiple controls, as well as the mouse by holding the left button down and moving the mouse over the results'),('root','share_note','fr','*Veuillez sélectionner les personnes avec qui partager le contenu. Veuillez noter qu\'il est possible de sélectionner plusieurs contacts, soit en maintenant le bouton gauche de la souris enfoncé, soit avec les touches \"SHIFT\" et \"CONTROL\" de votre clavier.'),('root','share_note','it','*Seleziona i contatti con cui vuoi condividere. Puoi utilizzare i tasti SHIFT o CONTROL per selezionare elementi multipli, cosi\' come il mouse tenendo premuto il tasto sinistro e muovendo il mouse sui risultati.'),('root','share_office','en','Office'),('root','share_office','fr','Bureau'),('root','share_office','it','Ufficio'),('root','share_phone','en','Phone'),('root','share_phone','fr','Téléphone'),('root','share_phone','it','Telefono'),('root','share_result','en','Share the search'),('root','share_result','fr','Share the search fr'),('root','share_result','it','Share the search it'),('root','share_results','en','Search results'),('root','share_results','fr','Résultats de la recherche'),('root','share_results','it','Risultati della ricerca'),('root','share_search','en','Share the news'),('root','share_search','fr','Partager les articles'),('root','share_search','it','Condividi le news'),('root','share_searching','en','Searhing through LDAP. Please wait...'),('root','share_searching','fr','Recherche dans l\'annuaire LDAP, veuillez patienter...'),('root','share_searching','it','Ricerca LDAP in corso. Attendere...'),('root','share_selected_articles','en','Share selected articles'),('root','share_selected_articles','fr','Partager les articles sélectionnés'),('root','share_selected_articles','it','Share selected articles it'),('root','share_simple_search','en','Simple'),('root','share_simple_search','fr','Recherche'),('root','share_simple_search','it','Semplice'),('root','share_tags','en','Tags'),('root','share_tags','fr','Tags fr'),('root','share_tags','it','Tags it'),('root','share_uid','en','The user identifier'),('root','share_uid','fr','Identifiant de l\'utilisateur'),('root','share_uid','it','Identificatore dell\'utente'),('root','start_date','en','Start date'),('root','start_date','fr','Date de début'),('root','start_date','it','Data di inizio'),('root','terms','en','Search terms'),('root','terms','fr','Critères de recherche'),('root','terms','it','Ricerca termini'),('root','until','en','Until'),('root','until','fr','Until frJusqu\'à'),('root','until','it','Fino a'),('root','upload/move_error','en','Error moving the item'),('root','upload/move_error','fr','Une erreur est survenue pendant le déplacement de l\'élément'),('root','upload/move_error','it','Errore durante lo spostamento dell\'elemento'),('root','upload_file','en','Upload the selected file'),('root','upload_file','fr','Envoyer le fichier sélectionné'),('root','upload_file','it','Carica il file selezionato'),('root','welcome','en','Welcome'),('root','welcome','fr','Bienvenue'),('root','welcome','it','Benvenuto');
/*!40000 ALTER TABLE `translation_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `briefcase_content`
--

DROP TABLE IF EXISTS `briefcase_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `briefcase_content` (
  `content_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The content identifier',
  `name` blob NOT NULL COMMENT 'The content name',
  `type_id` int(10) unsigned NOT NULL COMMENT 'The content type',
  `folder_id` int(10) unsigned default NULL COMMENT 'The content folder',
  `data` longblob COMMENT 'The content data',
  `description` text COMMENT 'The content descirption',
  `mime_type` varchar(255) default NULL COMMENT 'The content mime type or NULL',
  `length` int(10) unsigned default NULL COMMENT 'The content length or NULL',
  `item_id` varchar(255) default NULL COMMENT 'The item identifier (e.g.: article id)',
  `user_id` varchar(16) NOT NULL COMMENT 'The user identifier',
  `display_order` int(11) NOT NULL default '0',
  PRIMARY KEY  (`content_id`),
  KEY `Index_2` (`type_id`),
  KEY `Index_3` (`folder_id`),
  KEY `FK_briefcase_content_users` (`user_id`),
  CONSTRAINT `FK_briefcase_content_folders` FOREIGN KEY (`folder_id`) REFERENCES `briefcase_folders` (`folder_id`),
  CONSTRAINT `FK_briefcase_content_types` FOREIGN KEY (`type_id`) REFERENCES `briefcase_contents_types` (`type_id`),
  CONSTRAINT `FK_briefcase_content_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8914 DEFAULT CHARSET=utf8 COMMENT='The briefcase content';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ajax_calls`
--

DROP TABLE IF EXISTS `ajax_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ajax_calls` (
  `call_id` int(10) unsigned NOT NULL auto_increment COMMENT 'Id of the Ajax Call',
  `call_time` datetime default NULL COMMENT 'Date/time at which the call was issued',
  `user_id` varchar(16) default NULL COMMENT 'The user which is requesting the URL',
  PRIMARY KEY  (`call_id`),
  KEY `FK_ajax_calls_users` (`user_id`),
  CONSTRAINT `FK_ajax_calls_users` FOREIGN KEY (`user_id`) REFERENCES `known_users` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=107027 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
DELIMITER ;;
/*!50003 SET SESSION SQL_MODE="STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION" */;;
/*!50003 CREATE */ /*!50017 DEFINER=`metanull`@`%` */ /*!50003 TRIGGER `trg_oninsert_ajax_call` BEFORE INSERT ON `ajax_calls` FOR EACH ROW begin

	if new.`call_time` is null then

		set new.`call_time` = now();

	end if;

end */;;
DELIMITER ;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language_id` varchar(2) NOT NULL COMMENT 'ISO 639-1',
  `iso_639_1` varchar(2) default NULL COMMENT 'ISO 639-1',
  `iso_639_2` varchar(3) default NULL COMMENT 'ISO 639-2',
  `name_en` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `name_fr` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `name` varchar(255) NOT NULL COMMENT 'Name in original language',
  `dir` varchar(3) NOT NULL default 'rtl' COMMENT 'Horizontal direction of the text',
  PRIMARY KEY  (`language_id`),
  KEY `idx_languages_name_en` (`name_en`),
  KEY `idx_languages_name_fr` (`name_fr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of languages (iso 639-2/b)';
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES ('ar','ar','ara','arabic','arabe','العربية','ltr'),('de','de','ger','german','allemand','deutsch','rtl'),('en','en','eng','english','anglais','english','rtl'),('es','es','spa','spanish','espagnol','español','rtl'),('fr','fr','fra','french','français','français','rtl'),('it','it','ita','italian','ialien','italiano','rtl'),('ja','ja','jpn','japanese','japonais','日本語','rtl'),('pt','pt','por','portuguese','portugais','português','rtl'),('ru','ru','rus','russian','russe','русский язык','rtl'),('zh','zh','zho','chinese','chinois','中文','rtl');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping data for table `languages_sections`
--

LOCK TABLES `languages_sections` WRITE;
/*!40000 ALTER TABLE `languages_sections` DISABLE KEYS */;
INSERT INTO `languages_sections` VALUES ('module/analysis','Analysis'),('module/archive','Video archive'),('module/article','Article'),('module/briefcase','Briefcase module'),('module/countries','Countries'),('module/dummy','dummy'),('module/flashearth','flashearth'),('module/home','Home module'),('module/ifs','IFS special page'),('module/javascript','Provide javascript translations'),('module/newswires','Newswires (Weblogs)'),('module/oxweb','Oxweb Module'),('module/preferences','Preferences page'),('module/riskmap','riskmap'),('module/search','Search page'),('module/sharing','Sharing'),('module/streaming','Live Streaming'),('module/themes','Theme page'),('module/training','Analysis'),('root','Root');
/*!40000 ALTER TABLE `languages_sections` ENABLE KEYS */;
UNLOCK TABLES;



--
-- Table structure for table `known_users`
--

DROP TABLE IF EXISTS `known_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `known_users` (
  `user_id` varchar(16) NOT NULL,
  `first_access` datetime default NULL,
  `functional_mailbox` varchar(255) default NULL,
  PRIMARY KEY  (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `rss_log`
--

DROP TABLE IF EXISTS `rss_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rss_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `user_id` varchar(16) NOT NULL,
  `content_id` int(10) unsigned default NULL,
  `source_id` int(11) default NULL,
  `engine_id` varchar(25) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY  (`log_id`),
  KEY `new_index` (`user_id`),
  KEY `date_index` (`date`),
  KEY `fk_log_briefcase` (`content_id`),
  CONSTRAINT `fk_log_briefcase` FOREIGN KEY (`content_id`) REFERENCES `briefcase_content` (`content_id`) ON DELETE SET NULL ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2484 DEFAULT CHARSET=utf8 COMMENT='Log the access to the tariqa RSS feeds';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `translation`
--

DROP TABLE IF EXISTS `translation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `translation` (
  `section_id` varchar(255) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `description` text,
  PRIMARY KEY  (`section_id`,`keyword`),
  CONSTRAINT `fk_translation_sections` FOREIGN KEY (`section_id`) REFERENCES `languages_sections` (`section_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Keys of the translation mechanism';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translation`
--

LOCK TABLES `translation` WRITE;
/*!40000 ALTER TABLE `translation` DISABLE KEYS */;
INSERT INTO `translation` VALUES ('module/analysis','tabTitle',NULL),('module/archive','channel',NULL),('module/archive','end_date',NULL),('module/archive','first',NULL),('module/archive','last',NULL),('module/archive','next',NULL),('module/archive','prev',NULL),('module/archive','search',NULL),('module/archive','start_date',NULL),('module/archive','tabTitle',NULL),('module/article','tabTitle',NULL),('module/briefcase','add_folder',NULL),('module/briefcase','delete_item',NULL),('module/briefcase','do_sort',NULL),('module/briefcase','empty_folder',NULL),('module/briefcase','export_briefcase',NULL),('module/briefcase','export_briefcase_eidos',NULL),('module/briefcase','export_briefcase_mm',NULL),('module/briefcase','export_briefcase_mmap',NULL),('module/briefcase','export_briefcase_pdf',NULL),('module/briefcase','export_briefcase_txt',NULL),('module/briefcase','export_briefcase_xhtml',NULL),('module/briefcase','export_briefcase_xls',NULL),('module/briefcase','export_to',NULL),('module/briefcase','include_page_breaks',NULL),('module/briefcase','rename_item',NULL),('module/briefcase','sort_briefcase',NULL),('module/briefcase','sort_date',NULL),('module/briefcase','sort_publisher',NULL),('module/briefcase','sort_title',NULL),('module/briefcase','tabTitle',NULL),('module/briefcase','ui_type',NULL),('module/countries','capital',NULL),('module/countries','ga_pub_date',NULL),('module/countries','ga_scale',NULL),('module/countries','ga_source',NULL),('module/countries','ga_subtheme',NULL),('module/countries','ga_theme',NULL),('module/countries','ga_title',NULL),('module/countries','global_atlas_title',NULL),('module/countries','head_of_state',NULL),('module/countries','head_of_state_title',NULL),('module/countries','relief_web_title',NULL),('module/countries','rw_pdf_url',NULL),('module/countries','rw_web_url',NULL),('module/countries','search_country',NULL),('module/countries','tabTitle',NULL),('module/countries','toc_title',NULL),('module/countries','wikipedia_data',NULL),('module/dummy','tabTitle',NULL),('module/flashearth','description',NULL),('module/flashearth','tabTitle',NULL),('module/home','tabTitle',NULL),('module/home','welcome',NULL),('module/ifs','tabTitle',NULL),('module/javascript','tabTitle',NULL),('module/newswires','flavour',NULL),('module/newswires','tabTitle',NULL),('module/oxweb','tabTitle',NULL),('module/preferences','change_selection',NULL),('module/preferences','checkbox_type',NULL),('module/preferences','newstickers_title',NULL),('module/preferences','newsticker_speed',NULL),('module/preferences','newsticker_title',NULL),('module/preferences','newsticker_url',NULL),('module/preferences','prefered_countries',NULL),('module/preferences','prefered_country',NULL),('module/preferences','prefered_theme',NULL),('module/preferences','prefered_themes',NULL),('module/preferences','remove_selected',NULL),('module/preferences','selected_countries',NULL),('module/preferences','selected_themes',NULL),('module/preferences','selected_timezones',NULL),('module/preferences','select_theme',NULL),('module/preferences','tabTitle',NULL),('module/preferences','tags',NULL),('module/preferences','tags_text',NULL),('module/preferences','timezones',NULL),('module/preferences','ui_type',NULL),('module/preferences','visual_theme',NULL),('module/riskmap','latest_news',NULL),('module/riskmap','tabTitle',NULL),('module/search','advanced_search',NULL),('module/search','all_words',NULL),('module/search','country',NULL),('module/search','date_10year',NULL),('module/search','date_2year',NULL),('module/search','date_5year',NULL),('module/search','date_6month',NULL),('module/search','date_month',NULL),('module/search','date_week',NULL),('module/search','date_year',NULL),('module/search','deselect_all_link',NULL),('module/search','end_date',NULL),('module/search','exact_words',NULL),('module/search','Factiva_title',NULL),('module/search','file',NULL),('module/search','file_type',NULL),('module/search','GoogleBlogs_title',NULL),('module/search','GoogleImages_title',NULL),('module/search','GoogleNews_title',NULL),('module/search','GoogleWeb_title',NULL),('module/search','google_dont_have',NULL),('module/search','google_find_web_pages',NULL),('module/search','google_more_tools',NULL),('module/search','google_off',NULL),('module/search','google_on',NULL),('module/search','google_or',NULL),('module/search','google_range_example',NULL),('module/search','help_button',NULL),('module/search','help_text',NULL),('module/search','help_text_GoogleBlogs',NULL),('module/search','help_text_GoogleNews',NULL),('module/search','help_text_GoogleWeb',NULL),('module/search','help_text_LatestNews',NULL),('module/search','help_text_LexisNexis',NULL),('module/search','help_text_OxfordAnalytica',NULL),('module/search','help_text_RSS_aggregator',NULL),('module/search','help_text_Virage',NULL),('module/search','help_title',NULL),('module/search','how_recent',NULL),('module/search','keywords',NULL),('module/search','language',NULL),('module/search','LatestNews_title',NULL),('module/search','LexisNexis_title',NULL),('module/search','LN_Aggregators_title',NULL),('module/search','modify_search',NULL),('module/search','no_date_restriction',NULL),('module/search','no_words',NULL),('module/search','numeric_range',NULL),('module/search','or_words',NULL),('module/search','OxfordAnalytica_title',NULL),('module/search','range',NULL),('module/search','range_days',NULL),('module/search','regions',NULL),('module/search','remove_source',NULL),('module/search','restrict_by_date',NULL),('module/search','results',NULL),('module/search','results_per_page',NULL),('module/search','RSS_aggregator_title',NULL),('module/search','safe_search',NULL),('module/search','save_search',NULL),('module/search','saving_to_briefcase',NULL),('module/search','searching',NULL),('module/search','search_button',NULL),('module/search','search_feed',NULL),('module/search','search_results',NULL),('module/search','search_terms',NULL),('module/search','search_type_exec',NULL),('module/search','search_type_full',NULL),('module/search','selected_sources',NULL),('module/search','select_all_link',NULL),('module/search','sel_asc',NULL),('module/search','sel_date',NULL),('module/search','sel_desc',NULL),('module/search','sel_endtime',NULL),('module/search','sel_implied',NULL),('module/search','sel_relevance',NULL),('module/search','sel_starttime',NULL),('module/search','send_to_briefcase',NULL),('module/search','share_result',NULL),('module/search','site',NULL),('module/search','sort_by',NULL),('module/search','sort_order',NULL),('module/search','sources',NULL),('module/search','source_title',NULL),('module/search','start_date',NULL),('module/search','tabTitle',NULL),('module/search','terms',NULL),('module/search','title',NULL),('module/search','titling',NULL),('module/search','topic',NULL),('module/search','url',NULL),('module/search','usage',NULL),('module/search','use_stemming',NULL),('module/search','Virage_title',NULL),('module/streaming','tabTitle',NULL),('module/themes','article',NULL),('module/themes','edit_text',NULL),('module/themes','headline',NULL),('module/themes','main_tab_title',NULL),('module/themes','read_more',NULL),('module/themes','root_node_name',NULL),('module/themes','tabTitle',NULL),('module/themes','usefull_links',NULL),('module/training','tabTitle',NULL),('root','active_filter',NULL),('root','answer_no',NULL),('root','answer_yes',NULL),('root','appDescription',NULL),('root','appSubtitle',NULL),('root','appTitle',NULL),('root','article_controls',NULL),('root','beta_contribution_text',NULL),('root','beta_contribution_title',NULL),('root','breadcrumb',NULL),('root','breakingnews_title',NULL),('root','briefcase_no_folder',NULL),('root','change_source',NULL),('root','copyright',NULL),('root','create_folder',NULL),('root','doc_rep_title',NULL),('root','end_date',NULL),('root','feedback',NULL),('root','filter',NULL),('root','filter_dialog',NULL),('root','from',NULL),('root','generic_pdf_title',NULL),('root','langswitch/en',NULL),('root','langswitch/fr',NULL),('root','langswitch/it',NULL),('root','langswitch/pref',NULL),('root','loading_news',NULL),('root','loggedInAs',NULL),('root','logout',NULL),('root','modify_search',NULL),('root','navigation_first',NULL),('root','navigation_last',NULL),('root','navigation_next',NULL),('root','navigation_previous',NULL),('root','open_article_from_briefcase',NULL),('root','preferencesTitle',NULL),('root','recycle_bin',NULL),('root','remove_filter',NULL),('root','save_search',NULL),('root','search',NULL),('root','select_briefcase_folder',NULL),('root','send_article_to_briefcase',NULL),('root','send_to_briefcase',NULL),('root','share_advanced_search',NULL),('root','share_article',NULL),('root','share_department',NULL),('root','share_dg',NULL),('root','share_display_name',NULL),('root','share_filter_text',NULL),('root','share_group',NULL),('root','share_group_RELEX_TARIQAEC',NULL),('root','share_group_RELEX_TARIQAMS',NULL),('root','share_group_RELEX_TARIQANG',NULL),('root','share_group_RELEX_TARIQARX',NULL),('root','share_list_search',NULL),('root','share_list_text',NULL),('root','share_mail',NULL),('root','share_mail_briefcase_link',NULL),('root','share_mail_here',NULL),('root','share_mail_text',NULL),('root','share_note',NULL),('root','share_office',NULL),('root','share_phone',NULL),('root','share_result',NULL),('root','share_results',NULL),('root','share_search',NULL),('root','share_searching',NULL),('root','share_selected_articles',NULL),('root','share_simple_search',NULL),('root','share_tags',NULL),('root','share_uid',NULL),('root','start_date',NULL),('root','terms',NULL),('root','title',NULL),('root','until',NULL),('root','upload/move_error',NULL),('root','upload_file',NULL),('root','welcome',NULL);
/*!40000 ALTER TABLE `translation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'tariqa3'
--
/*!50003 DROP FUNCTION IF EXISTS `find_sub_tree` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`popesad`@`%`*/ /*!50003 FUNCTION `find_sub_tree`(_parent_id int, search_id int) RETURNS int(11)
BEGIN
	declare done int default 0;
	declare _folder_id int default null;
	declare rec cursor for select folder_id from briefcase_folders where parent_id = _parent_id order by folder_id;
	declare continue handler for sqlstate '02000' set done = 1;

	if _parent_id = search_id then 
		return 1;
	end if;

	if _parent_id is null then
		return 1;
	end if;
	
	if (select count(*) from briefcase_folders where parent_id = _parent_id and folder_id = search_id) > 0 then return 1;
	end if;
	
	open rec;
	fetch rec into _folder_id;
	while not done do
		if (find_sub_tree(_folder_id, search_id)) then
			close rec;
			return 1;
		end if;
		set done = 0;
		fetch rec into _folder_id;
	end while;

	close rec;
	return 0;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 DROP FUNCTION IF EXISTS `split` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`metanull`@`%`*/ /*!50003 FUNCTION `split`(str text, delim varchar(255), pos int) RETURNS text CHARSET utf8
BEGIN
    return replace(substring(substring_index(str, delim, pos), length(substring_index(str, delim, pos - 1)) + 1), delim, '');
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 DROP FUNCTION IF EXISTS `subfolder` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`popesad`@`%`*/ /*!50003 FUNCTION `subfolder`(_folder_id int, _parent_id int) RETURNS int(11)
begin
    declare done mediumint(5) default 0;
    declare __parent_id int default null;
    
    select parent_id into __parent_id from tariqa3.briefcase_folders where folder_id = _folder_id;

    while not __parent_id is null do
	if (_parent_id = __parent_id) then
	    return 1;
	end if;
	if (__parent_id is null) then
	    return 0;
	end if;
	set _folder_id = __parent_id;
	select parent_id into __parent_id from tariqa3.briefcase_folders where folder_id = _folder_id;
    end while;

    return 0;
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 DROP PROCEDURE IF EXISTS `positioning` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`metanull`@`%`*/ /*!50003 PROCEDURE `positioning`(_id int)
BEGIN
    declare _country varchar(255) default (select country from tmp where id = _id);
    declare del varchar(10) default ' | ';
    declare _theme varchar(255) default (select theme from tmp where id = _id);
    declare _flavour varchar(10) default (select flavour from tmp where id = _id);
    declare _in_page text default '';
    declare i int default 1;
    declare done int default 0;
    declare s varchar(255) default '';
    declare r int default 0;
    
    declare rec1 cursor for select name_en from meta_common.countries where continent_id = r order by name_en;
    declare rec2 cursor for select name_en from meta_common.countries c inner join 
        meta_common.regions_countries r using(country_id)
        where r.region_id = r order by name_en;
    declare continue handler for sqlstate '02000' set done = 1;
    
    set s = split(_country, '&', i);
    while (s <> '') do
        if (s = 'Home') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In Home page');
        elseif (s regexp '[A-Za-z][A-Za-z]') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
               (select name_en from meta_common.countries where country_id = s) ,' country page');
        elseif (s regexp 'c=[0-9]+') then
            set r = split(s, '=', 2);
            set done = 0;
            open rec1;
            fetch rec1 into s;
            while (done = 0) do
                set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
                   s ,' country page');
                set done = 0;
                fetch rec1 into s;
            end while;
            close rec1;
        elseif (s regexp 'r=[0-9]+') then
            set r = split(s, '=', 2);
            set done = 0;
            open rec2;
            fetch rec2 into s;
            while (done = 0) do
                set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
                   s ,' country page');
                set done = 0;
                fetch rec2 into s;
            end while;
            close rec2;
        end if;
        
        set i = i + 1;
        set s = split(_country, '&', i);
    end while;
    
    set i = 1;
    set s = split(_theme, '&', i);
    
    while (s <> '') do
        if (s regexp '[0-9]+') then
            set _in_page = concat(_in_page, if(_in_page = '', '', del), 'In ', 
               (select title from tariqapro.themes where theme_id = s) ,' thematic page');
        end if;
        set i = i + 1;
        set s = split(_theme, '&', i);
    end while;
    
    if (_flavour <> '' and not (_flavour is null)) then
        set _in_page = concat(_in_page, if(_in_page = '', '', del), 'For the ', 
           (select name from tariqapro.flavours where flavour_id = _flavour) ,' flavour');
    end if;
    
    update tmp set in_page = _in_page where id = _id;
    
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 DROP PROCEDURE IF EXISTS `set_positioning` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`metanull`@`%`*/ /*!50003 PROCEDURE `set_positioning`()
BEGIN
    declare done, _id int default 0;
    declare rec cursor for select id from tmp order by id;
    declare continue handler for sqlstate '02000' set done = 1;
    
    open rec;
    fetch rec into _id;
    
    while (done = 0) do
        call positioning(_id);
        set done = 0;
        fetch rec into _id;
    end while;
    
    close rec;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 DROP PROCEDURE IF EXISTS `set_preference` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`metanull`@`%`*/ /*!50003 PROCEDURE `set_preference`(_user_id varchar(15), _key varchar(255), _data text)
begin

  if (select count(*) from user_preferences where `user_id` = _user_id and `key` = _key) = 0 then

    insert into user_preferences(`user_id`, `key`, `data`) values(_user_id, _key, _data);

  else

    replace into user_preferences(`user_id`, `key`, `data`) values(_user_id, _key, _data);

  end if;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-04-07 14:43:05
