<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace MetaNull\Authentication {

	/**
	 * Interface for authentication mechanisms
	 * @author Pascal Havelange
 	 * @copyright © EUROPEAN COMMISSION, 2008
 	 * @package MetaNull\Authentication
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	interface iAuthentication {
		
		/**
		 * Establish a session (and proceed with authentication if needed)
		 * @param bool $logoin If set to True, also login to the system
		 * @return iUser|bool An iUser object in case of success, false otherwise
		 */
		public function startSession( $login = true );
		
		/**
		 * Closes a session and - if requested - logoff the user
		 * @param bool $logoff If set to True, also logoff the user
		 */
		public function endSession( $logoff = false );
		
		/**
		 * Check if the session has been established successfully
		 * @return bool True if the section has been established, false otherwise
		 */
		public function sessionEstablished();
	}
}
?>