/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */


var SELECTED_IDS = new Array();
var FUNCTIONS_MODIFIED = false;
var ARTICLE_TYPE = 1;
var ARCHIVE = false;
var LAST_ID = null;
var CUT_ID = null;

var selection_checkbox = {
    type: 'checkbox',
    sel_css: 'jstree-checked',
    sel_css2: 'jstree-undetermined',
    unsel_css: 'jstree-unchecked',
    sel_func: 'check_node',
    unsel_func: 'uncheck_node', 
    html: '<ins class="jstree-checkbox"> </ins><ins class="jstree-icon"> </ins>'
}

var selection_ui = {
    type: 'ui',
    sel_css: "jstree-clicked:not('.real_link')",
    sel_css2: "jstree-clicked",
    unsel_css: 'jstree-unchecked',
    sel_func: 'select_node',
    unsel_func: 'deselect_node',
    html: '<ins class="jstree-icon"> </ins>'
}

var selection = selection_checkbox;

function dialogResponse(params){
}

function getTreeSelectedIds(){
    var ids = new Array();
    $('.' + selection.sel_css).each(function(index){
        ids.push(selection.type != 'ui'?$(this).attr('id'):$(this).parent().attr('id'));
    });

    return ids;
}

function uncheckAll(){
    $('.' + selection.sel_css).removeClass(selection.sel_css).addClass(selection.unsel_css);
    $('.jstree-undetermined').removeClass('jstree-undetermined').addClass(selection.unsel_css);
}

function getMainType(id){
    if (id.substring(0, 2) != 'T_'){
        var obj = $('#' + id).parent();
        while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null ){
            obj = obj.parent();
        }
        return getMainType(obj.attr('id'));
    }
    return id.substr(2).replace(/([0-9]+)_new_items/, '$1');
}

function getType(id){
    var el = $('#' + id);
    if (el.length == 0) return null;
    return el.attr('rel');
}

function addFolder(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
    if (ids.length > 1){
        tariqaAlert(MESSAGES['SELECT_ONLY_ONE_FOLDER'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    var id = ids[0];
    if (getType(id) != 'folder' && getType(id) != 'root_folder'){
        tariqaAlert(MESSAGES['SELECT_FOLDER_NOT_FILE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    tariqaPrompt(MESSAGES['NEW_FOLDER_NAME'], function(name){
        //var name = prompt('Please input the name of the new folder: ');
        sendAjax(URL('index.php', 'module=ajax&action=addBriefcaseFolder&name=' + name + '&parent_id=' + id), 'get', folderAdded);
    }, 'Question');
}

function addNewItems(id){
    var obj = $('#' + id + '_new_items');
    if (obj.length == 0){
        $('#' + id).append('<ul id="' + id + '_new_items"></ul>');
    }
}

function folderAdded(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//new_html');
    var html = result.firstNode();
    if (typeof(html) != 'boolean' || html != false){
        var new_node = $(html.firstChild.data);
        var ids = getTreeSelectedIds();
        var id = ids[0];
        addNewItems(id);
        var parent = $('#' + id + '_new_items');
        new_node.appendTo(parent);

        $('#briefcase_tree').jstree('destroy');
        initTree();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_CREATING_FOLDER'], 'Error', TYPE_ALERT_ERROR);
    }
}

function bfitemMoved(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//response');
    if (result.firstNode()){
        if (result.firstNode().firstChild.data != 'Ok'){
            tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }
    else {
        tariqaAlert(MESSAGES['PROBLEM_REMOVING_ITEM'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
}

function emptyFolder(){
    var ids = getTreeSelectedIds();

    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_EMPTY'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    for (var i = 0; i < ids.length; i++){
        if (getType(ids[i]) != 'folder'){
            tariqaAlert(MESSAGES['SELECT_ONLY_ONE_FOLDER_TO_EMPTY'], 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }

    tariqaConfirm(MESSAGES['DELETE_SUBFOLDERS'], function(subfolders){
        tariqaConfirm(MESSAGES['EMPTY_FOLDERS'], function(result){
            if (!result) {
                return false;
            }
            
            i = 0;
            while (i < ids.length){
                if ($('#' + ids[i]).hasClass('jstree-checked')){
                    uncheckSubtree(ids[i]);
                    $('#briefcase_tree').jstree(selection.sel_func, '#' + ids[i]);
                }
                i++;
            }

            ids = getTreeSelectedIds();

            for (var i = 0; i < ids.length; i++){
                var folder_id = 'null';
                var type_id = 'null';
                if (ids[i].substring(0, 2) == 'T_') type_id = ids[i].substr(2);
                else folder_id = ids[i].substr(2);
                sendAjax(URL('index.php', 'module=ajax&action=emptyBriefcaseFolder&folder_id=' + folder_id + '&type_id=' + type_id + '&subfolders=' + (subfolders?'y':'n')), 'get', folderEmptied, ids[i]);
            }
        })
    });
}

function folderEmptied(response, fid){
    var xp = new xpath(response);
    var result = xp.doXPath("//deleted");
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        result = xp.doXPath('//subfolders');
        var subfolders = 'n';
        if (result.firstNode()){
            subfolders = result.firstNode().firstChild.data;
        }

        var children = $('#' + fid + '_new_items').children();
        var id;

        for (var i = 0; i < children.length; i++){
            id = children[i].getAttribute('id');
            if (id.substring(0, 2) == 'F_' && subfolders == 'y'){
                $('#' + id).remove();
            }
            else if (id.substring(0, 2) == 'I_'){
                $('#' + id).remove();
            }
        }

    //$('#' + selectedItemId).remove();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_EMPTY'], 'Error', TYPE_ALERT_ERROR);
    }
}

function uncheckSubtree(id){
    $('#briefcase_tree').jstree(selection.unsel_func, '#' + id);
    var subnodes = $('#' + id + '_new_items').children();
    for (var i = 0; i < subnodes.length; i++){
        uncheckSubtree(subnodes[i].getAttribute('id'));
    }
}

function checkSubtree(id){
    $('#briefcase_tree').jstree(selection.sel_func, '#' + id);
    var subnodes = $('#' + id + '_new_items').children();
    for (var i = 0; i < subnodes.length; i++){
        checkSubtree(subnodes[i].getAttribute('id'));
    }
}

function deleteItem(){
    var ids = getTreeSelectedIds();

    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_DELETE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    for (var i = 0; i < ids.length; i++){
        if (ids[i].substring(0, 2) == 'T_'){
            tariqaAlert(MESSAGES['CANNOT_DELETE_LEVEL'], 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }

    i = 0;
    while (i < ids.length){
        if ($('#' + ids[i]).hasClass('jstree-checked')){
            uncheckSubtree(ids[i]);
            $('#briefcase_tree').jstree('check_node', '#' + ids[i]);
        }
        i++;
    }

    ids = getTreeSelectedIds();

    for (var i = 0; i < ids.length; i++){
        if ($('#' + ids[i]).length > 0){
            if (ids[i].substring(0, 2) == 'F_'){
                if ($('#' + ids[i] + '_new_items').length > 0){
                    tariqaConfirm($('#' + ids[i]).attr('title') + MESSAGES['FOLDER_NOT_EMPTY'], function(result, params){
                        if (result){
                            sendAjax(URL('index.php', 'module=ajax&action=deleteBriefcaseFolder&id=' + params[0]), 'get', itemDeleted, params[0]);
                        }
                    }, 'Question', [ids[i]]);
                }
                else {
                    sendAjax(URL('index.php', 'module=ajax&action=deleteBriefcaseFolder&id=' + ids[i]), 'get', itemDeleted, ids[i]);
                }
            }
            else {
                sendAjax(URL('index.php', 'module=ajax&action=briefcaseDeleteContent&id=' + ids[i]), 'get', itemDeleted, ids[i]);
            }
        }
    }
}

function itemDeleted(response, id){
    var xp = new xpath(response);
    var result = xp.doXPath("//deleted");
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        $('#' + id).remove();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_DELETE'], 'Error', TYPE_ALERT_ERROR);
    }
}

function renameItem(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_RENAME'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
    if (ids.length > 1){
        tariqaAlert(MESSAGES['SELECT_ITEM_TO_RENAME'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    var id = ids[0];

    if (id.substring(0, 2) == 'T_'){
        tariqaAlert(MESSAGES['CANNOT_RENAME_LEVEL'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }


    var def = $('#' + $escape(ids[0])).children().first().next().text().replace(/^\s+|\s+$/g, '');

    tariqaPrompt(MESSAGES['NEW_ITEM_NAME'], function(name){
        var action = id.substring(0, 2) == 'F_' ? 'renameBriefcaseFolder' : 'briefcaseRenameContent';
        sendAjax(URL('index.php', 'module=ajax&action=' + action + '&id=' + id + "&new_name=" + name), 'get', itemRenamed, id);
    }, 'Question', def);
}

function itemRenamed(response, id){
    var xp = new xpath(response);
    var result = xp.doXPath('//renamed');
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        result = xp.doXPath('//new_name');
        if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
            var item = $('#' + id).children("a:not('.real_link')");
            item.html(selection.html + result.firstNode().firstChild.data);
            $('#' + id).attr('title', result.firstNode().firstChild.data);
        }
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_RENAME'], 'Error', TYPE_ALERT_ERROR);
    }
}

function overrideFunctions(){
    FUNCTIONS_MODIFIED = true;
    $.jstree._fn.change_state = function(obj, state){
        obj = this._get_node(obj);
        state = (state === false || state === true) ? state : obj.hasClass("jstree-checked");
        if(state) {
            obj/*.find("li").andSelf()*/.removeClass("jstree-checked jstree-undetermined").addClass("jstree-unchecked");
        }
        else {
            obj/*.find("li").andSelf()*/.removeClass("jstree-unchecked jstree-undetermined").addClass("jstree-checked");
            if(this.data.ui) {
                this.data.ui.last_selected = obj;
            }
            this.data.checkbox.last_selected = obj;
        }
        if(this.data.ui) {
            this.data.ui.selected = this.get_checked();
        }
        this.__callback(obj);
    };
    $.jstree._fn._prepare_checkboxes = function(obj){
	obj = !obj || obj == -1 ? this.get_container() : this._get_node(obj);
	var c, _this = this, t;
	obj.each(function () {
		t = $(this);
		c = t.is("li") && t.hasClass("jstree-checked") ? "jstree-checked" : "jstree-unchecked";
		t.find("a").not(":has(.jstree-checkbox)").prepend("<ins class='jstree-checkbox'>&#160;</ins>").parent().not(".jstree-checked, .jstree-unchecked").addClass(c);
	});
	if(obj.is("li")) {this._repair_state(obj);}
	else {obj.find("> ul > li").each(function () {_this._repair_state(this);});}
	$('.real_link > ins').remove();
    };
    $.jstree._fn._dnd_finish = $.jstree._fn.dnd_finish;
    /*$.jstree._fn.myDelegateHandler = function(e){
	if(this._get_node(e.target).hasClass("jstree-checked")) { this.uncheck_node(e.target); }
	else { this.check_node(e.target); }
	if(this.data.ui) { this.save_selected(); }
	if(this.data.cookies) { this.save_cookie("select_node"); }
	e.preventDefault();
    }*/
    $.jstree._fn.dnd_finish = function(e){
        $('briefcase_tree').jstree.my_var = getTreeSelectedIds();
        this._dnd_finish(e);
    }
    $.jstree.defaults['core']['animation'] = 100;
}

function initTree(sel_type){
    var height = $(window).height() - $('#pageBanner').height() - $('#pageHeader').height() - $('#pageFooter').height() - 115;
    if (screen.height - height >= 600){
	height = screen.height - $('#pageBanner').height() - $('#pageHeader').height() - $('#pageFooter').height() - 115;
    }
    //alert($(window).height() + " - " + $(document).height() + " - " + screen.height + " - " + height);
    $('#briefcase_tree').height(height);
    if (typeof(sel_type) != 'undefined' && sel_type != null){
        selection = sel_type;
    }
    if (!FUNCTIONS_MODIFIED) overrideFunctions();
    $('#briefcase_tree')
    .jstree({
        'types':{
            'valid_children': ['folder', 'file', 'search'],
            'types':{
                'root_folder':{
                   'valid_children': ['file', 'folder', 'search'],
                    'icon': {
                        'image': 'themes/default/images/_drive.png'
                    }
                },
                'folder': {
                    'valid_children': ['file', 'folder', 'search']
                },
                'file': {
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/images/iconText.gif'
                    }
                },
                'search': {
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/icons/search-icon.gif'
                    }
                }
            }
        },
        'ui':{
           'select_limit': -1,
           'disable_selecting_children': true,
           'select_multiple_modifier': (_isIE?'shift':'ctrl')
        },
        'dnd':{
            'check_timeout': 0
        },
        'crrm': {
            'move': {
                //'always_copy': true,
                'check_move': function(m){
		    if (ARCHIVE) {
			tariqaAlert(MESSAGES['DRAG_DROP_DEACTIVATED'], 'Warning', TYPE_ALERT_WARNING);
			return false;
		    }
                    var s_id = m.o.attr('id');
                    var d_id = m.r.attr('id');
                    var ids = getTreeSelectedIds();
                    
                    if (ids.length != 0){
                        var selected_source = false;
                        var type = getMainType(s_id);
                        for (var i = 0; i < ids.length; i++){
                            if (ids[i] == s_id){
                                selected_source = true;
                            }
                            if (getMainType(ids[i]) != type){
                                $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                            }
                        }

                        ids = getTreeSelectedIds();

                        if (!selected_source || ids.length == 1){
                            for (i = 0; i < ids.length; i++){
                                $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                            }
                        }
                        else {
                            $('#vakata-dragged').html('<ins class="jstree-icon">Multiple selection');
                        }
                    }

                    if ((m.p == 'before' || m.p == 'after') && d_id.substring(0, 2) == 'T_'){
                        return false;
                    }

		    return compatibility(s_id, d_id);
                }
            }
        }, 
        plugins: ['themes', 'html_data', selection.type, 'types', 'dnd', 'cookies', 'crrm']
    }
    )
    .bind('select_node.jstree', function(e, data){
        if (typeof(data.args[0]) != 'string'){
            var ids = getTreeSelectedIds();
            var id = data.args[0].parentNode.getAttribute('id');
            var type = getMainType(id);
            for (var i = 0; i < ids.length; i++){
                if (getMainType(ids[i]) != type){
                    $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                }
            }
        }
    })
    .bind("move_node.jstree", function (e, data) {
	doDragDrop(e, data);
    });
    changeStyle('.jstree a', null, 'line-height:16px; height:16px; color:black; white-space:nowrap; text-decoration:none; padding:1px 2px; margin:0;');
    $('.real_link > ins').remove();
}

function compatibility(s_id, d_id){
    if (getType(d_id) != 'folder' && getType(d_id) != 'root_folder'){
	return false;
    }

    if (getMainType(s_id) != getMainType(d_id)){
	if (getMainType(s_id) == 5){
	    if (getType(s_id) == 'file' || (getType(s_id) == 'folder' && folderContains(s_id, 'file'))){
		if (getMainType(d_id) == 1){
		    return true;
		}
	    }
	}
	else if (getMainType(d_id) == 5){
	    if (getMainType(s_id) == 1){
		return true;
	    }
	}
	return false;
    }

    return true;
}

function doDragDrop(e, data){
    var action;

    var s_id = data.args[0].o.attr('id');
    var d_id;

    var ids = ((selection.type == 'ui' ? data.args[0].o.first().children().last().hasClass(selection.sel_css2):data.args[0].o.hasClass(selection.sel_css2) || data.args[0].o.hasClass(selection.sel_css) ) ? $('briefcase_tree').jstree.my_var : [s_id]);

    switch (data.args[0].p){
	case 'before':
	case 'after':
	    var obj = data.args[0].r.parent();
	    while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null){
		obj = obj.parent();
	    }
	    d_id = obj.attr('id').replace(/([0-9]+)_new_items/, '$1');
	    break;
	case 'last':
	    d_id = data.args[0].r.attr('id');
	    break;
    }

    var tmp_el;
    addNewItems(d_id);

    for (var i = 0; i < ids.length; i++){
	if (ids[i] != d_id){
	    s_id = ids[i];

	    var main_type = getMainType(d_id);

	    if (getType(s_id) == 'file' || getType(s_id) == 'search'){
		action = 'briefcaseMoveToFolder';
	    }
	    else if (getType(s_id) == 'folder'){
		action = 'briefcaseMoveFolder';
	    }

	    tmp_el = $('#' + s_id).detach();
	    $('#' + d_id + '_new_items').append(tmp_el);

	    /*alert(s_id);
	    alert(d_id);*/

	    sendAjax(URL(TARIQA_URL, 'module=ajax&action=' + action + '&main_type=' + main_type + '&source_id=' + s_id.substr(2) + '&dest_id=' + (d_id.substring(0, 2) == 'T_' ? 'null' : d_id.substr(2))), 'get', bfitemMoved);

	    //$('#briefcase_tree').jstree('move_node', '#' + ids[i]);
	}
    }

    uncheckAll();
    //$('briefcase_tree').jstree('reload');
    $('#briefcase_tree').jstree('destroy');
    initTree();


}

/**
 * Gets the element ids (for each article that can be added to the briefcase)
 * @return Array
 */
function get_elements_ids(){
    //Set the tag name (the tag which contains all the ids)
    var nodeName = 'xtariqa:result-ids';
    if (_isIE){
        nodeName = 'result-ids';
    }

    //Gets all DOM elements
    var results = document.getElementsByTagName(nodeName);
    var ids = new Array();

    //var pattern = /<xtariqa:result>([^<]*)<\/xtariqa:result>/gi;
    for (var i = 0; i < results.length; i++){
        //Extracts the ids
        if (!_isIE){
            var ids_str = results[i].innerHTML.replace(/<xtariqa:result[^>]*id[ ]*=[ ]*"_([^"]*)"[^>]*>([^<]*)<\/xtariqa:result>/gi, '$1<:results:>');
        }
        else {
            var ids_str = results[i].innerHTML.replace(/[<\?xml:namespace prefix = xtariqa \/>]*<xtariqa:result id[ ]*=[ ]*_([^ >]*)[ ]*[^>]*>([^<]*)<\/xtariqa:result>/gi, '$1<:results:>');
        }
        var ids_str = ids_str.replace(/<:results:>$/gi, '');
        ids = ids.concat(ids_str.split('<:results:>'));
    }

    return ids;
}

/**
 * Checks if a folder contains a given type or if a folder contains only a given type
 * @param folder_id The folder identifier
 * @param type_id The type identifier that is beeing searched
 * @param only If set to true, returns true if the folder contains only the searched type. Otherwise, returns true if the folder does not contain the searched type. [OPTIONAL]
 * return boolean
 */
function folderContains(folder_id, type_id, only){
    if (typeof(only) == 'undefined' || only == null){
	only = true;
    }
    var subnodes = $('#' + folder_id + '_new_items').children();

    for (var i = 0; i < subnodes.length; i++){
	if (getType(subnodes[i].getAttribute('id')) == 'folder'){
	    return folderContains(subnodes[i].getAttribute('id'), type_id);
	}
	else if (getType(subnodes[i].getAttribute('id')) != type_id){
	    return false;
	}
    }
    return true;
}

/**
 * Gets the value of a parameter (this is needed mostly for Google). When fetching an article from Google, we will only
 * receive the body of the article, not the title (which is needed to add it into the briefcase)
 * @param id The article id
 * @param parameter The parameter name
 * @return string
 */
function get_parameters(id, parameter){
    //Get the DOM element
    if ($('#_' + $escape(id)).lenth > 0){
        return $('#_' + $escape(id)).attr(parameter)
    }
    else if (typeof(document.getElementById('_' + id)) != 'undefined' && document.getElementById('_' + id) != null){
	return document.getElementById('_' + id).getAttribute(parameter);
    }
    else if (parameter == 'title'){
        for (var i = 0; i < BRIEFCASE_SELECTED_IDS.length; i++){
            if (BRIEFCASE_SELECTED_IDS[i] == id){
                return BRIEFCASE_SELECTED_TITLES[i];
            }
        }
    }
    //Return the parameter (which is stored as a DOM attribute)
    return null;
}

/**
 * Gets all the selected articles (to be sent to the briefcase)
 * @return Array
 */
function get_selected_ids(other_pages){
    if (typeof(other_pages) == 'undefined' || other_pages == null){
        other_pages = true;
    }
    var sel_ids = new Array();

    /*/Fetch all the articles ids
    var ids = get_elements_ids();

    //var _ids, _id;

    for (var i = 0; i < ids.length; i++){
        var chb = document.getElementById(ids[i]);
        if (chb != null){
            if (chb.checked) sel_ids.push(ids[i]);
        }
    }*/

    $(".articleContainer input[type='checkbox']:checked").each(function(index){
	sel_ids.push($(this).attr('id'));
    })

    if (other_pages){
        sel_ids = sel_ids.concat(BRIEFCASE_SELECTED_IDS);
    }

    return sel_ids;
}

function sendArticleToBriefcase(id){
    id = id.replace(/&/g, '%26');
    var urls = new Array();
    var title;

    $('#briefcase_select_folder').dialog('open');

    dialogResponse = function(folder_id){
	title = encodeURIComponent($('#title_id')[0].value);
	urls.push(new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=sendToBriefcase&folder_id=' + folder_id + '&type_id=1&id=' + id + '&title=' + title)));

	sendURLS(urls, articleSaved, function(){
	    $('#loading_id').show();
	}, function(){
	    $('#loading_id').hide()
	    }, true);
    }
}

/**
 * Sends an article to the briefcase, but first let the server know which user will make the request
 * @param onBegin Function to be called before the request is sent to the server
 * @param onEnd Function to be called when the request has been processed
 * @return void
 */
function sendArticlesToBriefcase(onBegin, onEnd){
    //Get the list of selected articles
    var ids = get_selected_ids();
    
    if (ids.length == 0) {
        tariqaAlert(MESSAGES['SELECT_ARTICLE_TO_SAVE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    $('#briefcase_select_folder').dialog('open');
    dialogResponse = function(folder_id){
	_doSendArticles(folder_id, ids, onBegin, onEnd);
    }
}

function _doSendArticles(folder_id, ids, onBegin, onEnd){
    var urls = new Array();
    var title;

    for (var i = 0; i < ids.length; i++){
        title = encodeURIComponent(get_parameters(ids[i], 'title'));
        urls.push(new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=sendToBriefcase&folder_id=' + folder_id + '&type_id=1&id=' + ids[i].replace(/&/g, '%26') + '&title=' + title)));
    }

    if (typeof(onBegin) == 'undefined') onBegin = null;
    if (typeof(onEnd) == 'undefined') onEnd = null;
    if (typeof(processResult) == 'undefined') processResult = null;

    $(".articleContainer input[type='checkbox']").removeAttr('checked');
    for (var i in BRIEFCASE_SELECTED_IDS){
	delete BRIEFCASE_SELECTED_IDS[i];
	delete BRIEFCASE_SELECTED_TITLES[i];
    }

    BRIEFCASE_SELECTED_IDS = new Array();
    BRIEFCASE_SELECTED_TITLES = new Array();

    sendURLS(urls, articleSaved, onBegin, onEnd, true);
}

/**
 * Saves a search to Briefcase
 * @param title The title of the search
 * @param GET_data The GET data to be saved
 * @param POST_data The POST data to be saved
 */
function saveSearchToBriefcase(title, GET_data, POST_data){
    var params = 'get_data=' + encodeURIComponent(GET_data) + '&post_data=' + encodeURIComponent(POST_data);
    sendAjax(URL(TARIQA_URL, 'action=briefcaseSaveSearch&module=ajax&title=' + encodeURIComponent(title)), 'post', searchSaved, null, params);
}

function searchSaved(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//error');
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode()){
        tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
    }
    else {
        tariqaAlert(MESSAGES['SEARCH_SAVED']);
    }
}

function articleSaved(_response){
    var response = new multiAjaxResponse(_response);
    var text = response.content.replace(/<[\/]{0,1}result>/gi, '');
    if (!text.match(/^\d*$/i)){
        tariqaAlert(text, 'Error', TYPE_ALERT_ERROR);
    }
}

function exportArticles(){
    var ids = getTreeSelectedIds();
    var rez = '';
    for (var i = 0; i < ids.length; i++){
        if (getMainType(ids[i]) == ARTICLE_TYPE && getType(ids[i]) != 'root_folder'){
            rez += (rez == ''?'':',') + ids[i];
        }
    }
    $('#selected_articles_for_export').val(rez);
    document.export_form.submit();
}

function initSelectFolderForm(){
    $('#briefcase_select_folder').dialog({
	    autoOpen: false,
	    width: 400,
	    height: 170,
	    modal: true,
	    hide: 'slide',
	    show: 'slide',
	    title: 'Briefcase folders',
	    buttons: {
		    'Ok': function (){
			$(this).dialog('close');
			dialogResponse($('#briefcase_selected_folder').val());
		    },
                    'New folder': function(){
                        var sel = $('#briefcase_selected_folder')[0];
                        tariqaPrompt(MESSAGES['NEW_FOLDER_NAME'], function(name){
                            var id = sel.value;
                            sendAjax(URL('index.php', 'module=ajax&action=addBriefcaseFolder&name=' + name + '&parent_id=' + (id == 'null' ? 'T_1' : 'F_' + id)), 'get', function(response){
                                var spaces = (sel.selectedIndex > 0 ? '&nbsp;&nbsp;' : '');
                                $('#briefcase_selected_folder').children().each(function(idx){
                                    if ($(this).attr('value') == id){
                                        var i;
                                        i = 0;
                                        var text = $(this).text();
                                        while (text.substr(i, 1) == ' ' || text.substr(i, 1) == 0){
                                            i++;
                                            spaces += '&nbsp;';
                                        }

                                        var xp = new xpath(response);
                                        var result = xp.doXPath('//new_id');
                                        if (result.firstNode()){
                                            var new_id = result.firstNode().firstChild.data;
                                        }
                                        name = spaces + name;
                                        var html = '<option value="' + new_id + '" selected="selected">' + name + "</option>";
                                        $(this).after(html);
                                    }
                                });
                            });
                        });
                    }, 
		    'Cancel': function(){
			$(this).dialog('close');
		    }
	    }
    });
}

function getFolderFiles(folder_id){
    var result = new Array();
    var id;
    var children = $('#' + folder_id + '_new_items').children();
    for (var i = 0; i < children.length; i++){
        id = children[i].getAttribute('id')
        if (getType(id) == 'file' || getType(id) == 'search'){
            result.push(id);
        }
        else if (getType(id) == 'folder'){
            var ids = getFolderFiles(id);
            for (var j = 0; j < ids.length; j++){
                if (arrayIndexOf(result, ids[j]) == -1){
                    result.push(ids[j]);
                }
            }
        }
    }

    return result;
}

function briefcaseShare(){
    var _ids = getTreeSelectedIds();
    var ids = new Array();
    var __ids;

    for (var i = 0; i < _ids.length; i++){
        if (getMainType(_ids[i]) == 1 || getMainType(_ids[i]) == 2 || getMainType(_ids[i]) == 5){
            if (getType(_ids[i]) == 'file' || getType(_ids[i]) == 'search'){
                if (arrayIndexOf(ids, _ids[i]) == -1){
                    ids.push(_ids[i]);
                }
            }
            else if (getType(_ids[i]) == 'folder') {
                __ids = getFolderFiles(_ids[i]);
                for (var j = 0; j < __ids.length; j++){
                    if (arrayIndexOf(ids, __ids[j]) == -1){
                        ids.push(__ids[j]);
                    }
                }
            }
        }
    }

    var searches = new Array();

    var titles = new Array();
    for (var i = 0; i < ids.length; i++){
	if (getType(ids[i]) == 'file'){
	    titles.push($('#' + ids[i]).attr('title'));
	}
	else if (getType(ids[i]) == 'search'){
	    searches.push(ids[i]);

	    delete ids[i];
	}
    }

    i = 0;
    while (i < ids.length){
	if (typeof(ids[i]) == 'undefined'){
	    ids.splice(i, 1);
	}
	else {
	    i++;
	}
    }

    if (ids.length == 0 && searches.length == 0){
        tariqaAlert(MESSAGES['SELECT_ARTICLE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
    else {
	if (searches.length > 0){
	    shareItem(shareBriefcaseSearches, 'multiple_search', [searches, function(){$('#share_wait').show()}, function(){$('#share_wait').hide()}, null, null, ids, titles]);
	}
	else if (ids.length > 0){
	    shareItem(shareArticles, 'share_article', [function(){$('#share_wait').show()}, function(){$('#share_wait').hide()}, null, null, ids, titles]);
	}
    }


    return false;
}

function setHelpSize(){
    var height;
    ARCHIVE = (window.location.toString().indexOf('archive') != -1);
    if (!ARCHIVE){
	height = $('#briefcase_tree').height() - 45 - $('#controls_box').height() - $('#archive_box').height() - $('#sorting_box').height() - $('#export_box').height();
    }
    else {
	height = $('#briefcase_tree').height() - 35 - $('#controls_box').height() - $('#archive_box').height() - $('#warning_box').height();
    }
    $('#help_box').css('height', height + 'px');
}

function briefcaseOpen(content_id){
    $('#I_' + content_id + ' > a').dblclick();
}

/*function openItemsNewTab(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
	tariqaAlert(MESSAGES['BRIEFCASE_OPEN_ERROR'], 'Error', TYPE_ALERT_ERROR);
    }
    else {
	var s_ids = '';
	for (var i in ids){
	    if (getType(ids[i]) == 'file' || getType(ids[i]) == 'search'){
		s_ids += (s_ids == '' ? '' : '&') + 'id[]=' + ids[i];
	    }
	    else if (getType(ids[i]) == 'folder'){
		checkSubtree(ids[i]);
	    }
	}

	if (s_ids == ''){
	    tariqaAlert(MESSAGES['BRIEFCASE_OPEN_ERROR'], 'Error', TYPE_ALERT_ERROR);
	}
	else {
	    sendAjax(URL(TARIQA_URL, 'module=ajax&action=briefcaseOpenURLS&' + s_ids), 'get', openURL);
	}
    }
}*/

function openBriefcaseItemsNewTab(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
	tariqaAlert(MESSAGES['BRIEFCASE_OPEN_ERROR'], 'Error', TYPE_ALERT_ERROR);
    }
    else {
	var data = new Array();
	var s_ids = '';
	var url;
	for (var i in ids){
	    if (getType(ids[i]) == 'folder'){
		checkSubtree(ids[i]);
	    }
	}
	ids = getTreeSelectedIds();
	for (var i in ids){
	    if (getType(ids[i]) == 'file' || getType(ids[i]) == 'search'){
		url = URL(TARIQA_URL, 'module=briefcase&content_id=' + ids[i].substring(2) + '&redirect=briefcase');
		data.push({'url': url, 'title': trim($('#' + ids[i]).text()), 'id': ids[i]});
		//s_ids += (s_ids == '' ? '' : '&') + 'pages[]=' + url;
	    }
	}

	if (data.length == 0){
	    tariqaAlert(MESSAGES['BRIEFCASE_OPEN_ERROR'], 'Error', TYPE_ALERT_ERROR);
	}
	else {
	    //sendAjax(URL(TARIQA_URL, 'module=ajax&action=briefcaseOpenURLS&' + s_ids), 'get', openURL);
	    var base = TARIQA_URL;
	    if (base.substring(base.length - 1) != '/') base += '/';
	    js_open(URL(base + 'special_page.php', 'module=multi_pages'), '_blank', 'POST', 'obj=' + serialize(data));
	}
    }
}

function openURL(response){
    var xp = new xpath(response);
    var urls = xp.doXPath('//url');
    var url;
    var i = 0;
    while (url = urls.nextNode()){
	var txt = "js_open('" + url.getAttribute('url').replace(/'/g, "\\'") + "', "
	    + "'" + url.getAttribute('target').replace(/'/g, "\\'") + "', "
	    + "'" + url.getAttribute('method').replace(/'/g, "\\'") + "', "
	    + "'" + url.getAttribute('post_data').replace(/'/g, "\\'") + "')";
	setTimeout(txt, ++i * 1000);
    }
}

function archiveFolders(action){
    if (typeof(action) == 'undefined' || action == null){
	action = 'briefcaseArchiveFolder';
    }
    var ids = getTreeSelectedIds();

    if (ids.length == 0){
        tariqaAlert(MESSAGES['BRIEFCASE_ARCHIVE_SELECT'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    for (var i = 0; i < ids.length; i++){
        if (getType(ids[i]) != 'folder'){
            tariqaAlert(MESSAGES['SELECT_ONLY_FOLDER_TO_ARCHIVE'], 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }

    i = 0;
    while (i < ids.length){
	if ($('#' + ids[i]).hasClass('jstree-checked')){
	    uncheckSubtree(ids[i]);
	    $('#briefcase_tree').jstree(selection.sel_func, '#' + ids[i]);
	}
	i++;
    }

    ids = getTreeSelectedIds();

    for (var i = 0; i < ids.length; i++){
	var folder_id = 'null';
	var type_id = 'null';
	if (ids[i].substring(0, 2) == 'T_') type_id = ids[i].substr(2);
	else folder_id = ids[i].substr(2);
	sendAjax(URL('index.php', 'module=ajax&action=' + action + '&folder_id=' + folder_id), 'get', folderArchived, ids[i]);
    }
    
}

function folderArchived(response, id){
    var xp = new xpath(response);
    var result = xp.doXPath("//response");
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
	if (result.firstNode().firstChild.data == 'Ok'){
	    $('#' + id).remove();
	}
	else {
	    tariqaAlert(MESSAGES['ERROR_ON_ARCHIVE'], 'Error', TYPE_ALERT_ERROR);
	}
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_ARCHIVE'], 'Error', TYPE_ALERT_ERROR);
    }
}

function inspect(){
    $('body *').mouseover(function(evt){
	if ($(this)[0] == evt.target){
	    $(this).addClass(_isIE ? 'inspected_element_ie' : 'inspected_element');
	}
    });

    $('body *').mouseout(function(evt){
	if ($(this)[0] == evt.target){
	    $(this).removeClass(_isIE ? 'inspected_element_ie' : 'inspected_element');
	}
    });

    $('body').click(function(evt){
	var className = _isIE ? '.inspected_element_ie' : '.inspected_element';
	if ($(className).length > 0){
	    var html = $(className).html();
	    $(className).removeClass(className.substring(1));
	    $('body *').unbind('mouseover').unbind('mouseout');
	    $('body').unbind('click');
	    tariqaPrompt(MESSAGES['BRIEFCASE_SAVE_PART_TITLE'], function(title){
		if (title != '' && title != null){
		    $('#briefcase_select_folder').dialog('open');

		    dialogResponse = function(folder_id){
			sendAjax(URL(TARIQA_URL, 'module=ajax&action=sendTextToBriefcase&folder_id=' + folder_id + '&type_id=1&title=' + encodeURIComponent(title)), 'post', textSentToBriefcase, null, 'html=' + encodeURIComponent(html));
		    }
		}
	    });
	}
    });
}

function textSentToBriefcase(response){
    tariqaAlert(MESSAGES['BRIEFCASE_TEXT_SAVED'], 'Success', TYPE_ALERT_INFO);
}

function initContextMenu(){
    var options = {
	width: 150,
	items: [
	    {text: MESSAGES['CUT'], icon: 'themes/default/styles/jquery/contextmenu/images/contextmenu/cut.png', alias: 'cut', action: menuClick},
	    {text: MESSAGES['PASTE'], icon: 'themes/default/styles/jquery/contextmenu/images/contextmenu/page_white_paste.png', alias: 'paste', action: menuClick}
	]
    }

    $('.menuable').contextmenu(options);
    $('.menuable').bind('contextmenu', function(e){
	LAST_ID = $(this).attr('id');
	return false;
    })
}

function checkSubfolder(folder_id, parent_id){
    if (folder_id == parent_id){
	return true;
    }
    if (folder_id.substring(0, 2) == 'T_'){
	return false;
    }

    var obj = $('#' + folder_id).parent();
    
    while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null ){
	obj = obj.parent();
    }
    return checkSubfolder(obj.attr('id'), parent_id);
    
}

function menuClick(){
    switch(this.data.alias){
	case 'cut':
	    CUT_ID = LAST_ID;
	break;
	case 'paste':
	    if (CUT_ID == null){
		tariqaAlert(MESSAGES['NOTHING_CUTTED'], null, TYPE_ALERT_ERROR);
		return false;
	    }

	    if (getType(CUT_ID) == 'root_folder'){
		tariqaAlert(MESSAGES['PASTE_NOT_ALLOWED'], null, TYPE_ALERT_ERROR);
		return false;
	    }

	    var source = $('#' + CUT_ID);
	    var dest = $('#' + LAST_ID);

	    var data = {
		'args': [
		    {
			'cp': 0,
			'cr': dest.parent().parent(),
			'np': dest.parent().parent(),
			'o': source,
			'op': source.parent().parent(),
			'or': dest.parent().parent(),
			'p': 'last',
			'r': dest
		    }, false, false, true,
		]
	    };

	    if (checkSubfolder(dest.attr('id'), source.attr('id'))){
		tariqaAlert(MESSAGES['PASTE_NOT_ALLOWED'], null, TYPE_ALERT_ERROR);
		return false;
	    }

	    if (!compatibility(source.attr('id'), dest.attr('id'))){
		tariqaAlert(MESSAGES['PASTE_NOT_ALLOWED'], null, TYPE_ALERT_ERROR);
		return false;
	    }

	    doDragDrop(null, data);

	    CUT_ID = null;
	break;
    }
}