/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */


function check(){
    return true;
}

function initDates(){
    $('.select_date').datepicker({
        dateFormat: 'yy-mm-dd',
        changeMonth: true,
        changeYear: true
    });
}

function checkAnalysisStatus(call_id){
    sendAjax(URL(TARIQA_URL, 'module=ajax&action=checkAnalysisStatus&call_id=' + call_id), 'get', analysisChecked, call_id);
}

function analysisChecked(response, call_id){
    var xp = new xpath(response);
    var error = xp.doXPath('//error');
    if (error.firstNode()){
	$('#processing_id').dialog('close');
	tariqaAlert('There was an error performing the analysis. The call_id is ' + call_id, 'Error', TYPE_ALERT_ERROR);
	return ;
    }
    var finished = xp.doXPath('//finished');

    if (finished.firstNode()){
	finished = finished.firstNode().firstChild.data == "true";
    }
    else {
	finished = false;
    }

    if (finished){
	$('#processing_id').dialog('close');
	tariqaAlert('Analysis performed', 'Finished', TYPE_ALERT_INFO);
	js_open(URL(TARIQA_URL + '/special_page.php', 'module=analysis&call_id=' + call_id), '_self', 'get');
    }
    else {
	setTimeout(function(){
	    checkAnalysisStatus(call_id);
	}, 700);
    }
}

function showProcessingDialog(){
    $('#processing_id').dialog({
	    width: 400,
	    height: 150,
	    autoOpen: true,
	    modal: true,
	    hide: 'slide',
	    show: 'slide'
    });
}

function startAnalysis(call_id){
    showProcessingDialog();
    checkAnalysisStatus(call_id);
}