/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function initMenu(){
	ddsmoothmenu.init({
		mainmenuid: "topics_menu", //menu DIV id
		orientation: 'h', //Horizontal or vertical menu: Set to "h" or "v"
		classname: 'ddsmoothmenu', //class added to menu's outer DIV
		//customtheme: ["#1c5a80", "#18374a"],
		contentsource: "markup" //"markup" or ["container_id", "path_to_menu_file"]
	});
}

function openTopicQuery(topic_id, query_id){
	if ($('#news_' + query_id)[0].innerHTML == ''){
		sendAjax(URL(TARIQA_URL, 'module=ajax&action=topicAddTab&topic_id=' + topic_id + '&query_id=' + query_id), 'get', tabAdded);
	}
	else {
		$tabs.tabs("select", 'result_' + query_id);
	}
}

function tabAdded(response){
	var xp = new xpath(response);
	var result = xp.doXPath('//query_id');
	var query_id = null;
	if (result.firstNode()){
		query_id = result.firstNode().firstChild.data;

		var html = '';
		result = xp.doXPath('//html');
		if (result.firstNode()){
			html = myDecode(result.firstNode().firstChild.data);
		}

		$('#filtering_data_' + query_id)[0].innerHTML = html;
		var title = '';
		result = xp.doXPath('//title');
		if (result.firstNode()){
			title = myDecode(result.firstNode().firstChild.data);
		}
		$tabs.tabs("add", '#result_' + query_id, title);

		result = xp.doXPath('//feed_id');
		var feed_id = null;
		if (result.firstNode()){
			feed_id = result.firstNode().firstChild.data;
		}

		runTopicQuery(query_id, feed_id);
	}
}

function runTopicQuery(query_id, feed_id){
	if (typeof(feed_id) == 'undefined') feed_id = null;
	var query = post2array($('#text_topic_query_' + query_id)[0].value);
	var search = new searchObject(query['query'], query['source_id']);
	search.setType('OS');
	search.setResultId('news_' + query_id);
	search.setNavigationId('navigation_' + query_id);
	search.setStartDate(query['start_date']);
	search.setEndDate(query['end_date']);
	search.setCount(query['count']);
	search.noNewTab();

	search.setTabId('result_' + query_id);

	if (feed_id != null){
		search.setSpecificData(encodeURIComponent('feed_id=' + feed_id));
	}

	var searches = new Array();
	searches.push(search);
	performMultiAjaxSearch(searches, function(){$('#nav_load_news_' + query_id).show();}, function(){$('#nav_load_news_' + query_id).hide();});
}