<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaDocument {
        /**
        * The article identifier
        * @var string
        * */
        public $accessionNo;
        
        /**
        * The base language of the article
        * @var string
        * */
        public $baseLanguage;

        /**
        * The article headlines
        * @var string[]
        * */
        public $headline;

        /**
        * The article publication date
        * @var int (UNIX timestamp format)
        * */
        public $publicationDate;
        
        /**
        * The identifier of the article source
        * @var string
        * */
        public $sourceCode;
        
        /**
         * The source name
         * @var string
         * @access public
        */
        public $sourceName;
        
        /**
        * The article words count
        * @var int
        * */
        public $wordCount;

        /**
        * This element represents the name of a column in which an article appeared. An example might be the "Asian-Pacific Markets" column in the Wall Street Journal. 
        * @var string
        * */
        public $columnName;

        /**
        * Copyright informations
        * @var string
        * */
        public $copyright;

        /**
        * The section name in which the article appeared
        * @var string
        * */
        public $sectionName;
        
        /**
        * The author contact details
        * @var string
        * */
        public $contact;
        
        /**
        * Corrections made on the article
        * @var string[]
        * */
        public $corrections;
        
        /**
        * The edition of the publication in which the article appeared
        * @var string
        * */
        public $edition;
        
        /**
        * The main (first) paragraphs of the article
        * @var string[]
        * */
        public $leadParagraph;
        
        /**
        * The last paragraphs of the article
        * @var string[]
        * */
        public $tailParagraph;
        
        /**
        * The name of the publication group to which the source of the article belongs
        * @var string
        * */
        public $publisherGroupName;

        /**
        * The group code of the publication group to which the source of the article belongs
        * @var string
        * */
        public $publisherGroupCode;

        /**
        * The name of the publisher for an article
        * @var string
        * */
        public $publisherName;
        
        /**
        * The volume or number of the publication from which the article was taken
        * @var string
        * */
        public $volume;
    
        /**
        * The by line
        * @var string
        * */
        public $byLine;
        
        /**
        * Credits for the article
        * @var string
        * */
        public $credit;
        
    }

?>