<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaSource {
        const factiva_SourceAvailabilityActive = "Active";
        const factiva_SourceAvailabilityDeleted = "Deleted";
        const factiva_SourceAvailabilityDiscontinued = "Discontinued";
        const factiva_SourceAvailabilityPending = "Pending";

        /**
        * The source identifier
        * @var string
        * */
        public $sourceCode;
        
        /**
        * This element represents the availability status for the source group
        * @var string
        * */
        public $availabilityStatus;

        /**
        * This element represents the base language of content or text
        * @var string
        * */
        public $baseLanguage;

        /**
        * This element represents a sequence of sourceCode elements for the source
        * @var string[]
        * */
        public $compositeSourceCodes;

        /**
        * This element represents the legal copyright statement for an article, headline, or other content
        * @var string
        * */
        public $copyright;

        /**
        * This element represents a sequence of paragraphs containing a textual description for an industry classification or source
        * @var string[]
        * */
        public $description;

        /**
        * This element represents the frequency of the publication
        * @var string
        * */
        public $frequency;

        /**
        * This element contains a sequence of elements that identify the underlying documents for the group
        * @var string[]
        * */
        public $groupCodes;

        /**
        * This element represents the form of the source name as it appears in lists
        * @var string
        * */
        public $listName;

        /**
        * This element represents the publication Web address for the source
        * @var string
        * */
        public $publicationWebAddress;

        /**
        * This element represents the name of a source of Factiva content
        * @var string
        * */
        public $sourceName;

    }

?>