<?php

/**
 * This class describes an Latestnews feed container
 * */
class Latestnews_feed {
	
	/**
	 * Unique identifier for the feed
	 * @var int
	 * */
	public $feed_id;

	/**
	 * Query of the feed
	 * @var string
	 **/
	public $query;
	
	/**
	 * Time range of the feed
	 * @var int
	 **/
	public $time_range;
	
	/**
	 * Title of the feed
	 * @var string
	 * */
	public $title;
	
	/**
	 * Description of the feed
	 * @var string
	 * */
	public $description;
	
	/**
	 * URL of the embeded Logo
	 * @var string
	 * */
	public $picture;
	
	/**
	 * URL of the site corresponding to the current feed
	 * @var string
	 * */
	public $link;
	
	/**
	 * Language of the feed (if available)
	 * @var string
	 * */
	public $language;
	
	/**
	 * Copyright information
	 * @var string
	 * */
	public $copyright;
	
	/**
	 * Refresh rate of the feed (in minutes). [0 value means unrestricted].
	 * @var int
	 * */
	public $refresh_rate;
	
	/**
	 * Date/time at which the feed was last refreshed (Unix timestamp)
	 * @var int
	 * */
	public $last_refresh;	
}
?>