<?php

	/**
	 * Encloses a Virage Search Query
	 */
	class VirageSearchQuery {
	
		/**
		 * The query string
		 * @var string
		 */
		public $query;
                
		/**
		 * The file name that you are looking for
		 * @var string
		 */
		public $fileName;
                
		/**
		 * The URL of the file that you are looking for
		 * @var string
		 */
		public $url;
                
		/**
		 * The sort string
		 * @see SO_RELEVANCE
		 * @see SO_DATE
		 * @see SO_STARTTIME
		 * @see SO_ENDTIME
		 * @var string
		 */
		public $sort;

		/**
		 * The sort order
		 * @var string
		 */
		public $sortOrder;

		/**
		 * Use stemming
		 * @var boolean
		 */
		public $stemming = true;

		/**
		 * The maximum date of a document
		 * @var string
		 */
		public $maxDate;

		/**
		 * The minimum date of a document
		 * @var string
		 */
		public $minDate;

		/**
		 * The maximum number of results to be returned
		 * @var int
		 */
		public $maxResults = 60;

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_RELEVANCE = "Relevance";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_DATE = "Date";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_STARTTIME = "STARTTIME";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_ENDTIME = "ENDTIME";

		/**
		 * The ascendent sort order
		 * @var string
		 
		 */
		const SORT_ASC = 'asc';

		/**
		 * The descendent sort order
		 * @var string
		 
		 */
		const SORT_DESC = 'desc';
	}

?>