<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{

/**
 * News Article
 * @author Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2010
 * @package tariqa3
 * @license http://ec.europa.eu/idabc/eupl
 */
class mmap {
    /**
     * Construct the Module object
     */
    public function __construct( ) {
    }

    /**
     * Returns the output of the mmap export
     * @param string $template The template file path and name
     * @param string $xmlstr The xml to transform
     * @access public
     * @return string
     */
    public function output($template, $xmlstr) {
	$xsl = file_get_contents($template);
	$xml = new \DOMDocument();
	$xslt = new \XSLTProcessor();
	$xml->loadXML( $xsl );
	$xslt->importStyleSheet( $xml );
	$xml->loadXML( $xmlstr );

	$content = $xslt->transformToXML($xml);

	$name = tempnam(sys_get_temp_dir(), 'mmapExport');

	$archive = new \ZipArchive();
	$archive->open($name, \ZipArchive::CREATE);
	$files_path = 'themes/default/mmap';
	$archive->addEmptyDir("bin");
	$archive->addFile($files_path . "/background.bin", 'bin/background.bin');
	$archive->addEmptyDir('xsd');
	$archive->addFile($files_path . '/MindManagerApplication.xsd', 'xsd/MindManagerApplication.xsd');
	$archive->addFile($files_path . '/MindManagerCore.xsd', 'xsd/MindManagerCore.xsd');
	$archive->addFile($files_path . '/MindManagerDelta.xsd', 'xsd/MindManagerDelta.xsd');
	$archive->addFile($files_path . '/MindManagerPrimitive.xsd', 'xsd/MindManagerPrimitive.xsd');
	$archive->addFromString('Document.xml', $content);
	$archive->close();

	$result = file_get_contents($name);

	// Get the result as a dom document for formatted output
	return $result;
    }

}

}

?>