<?php

/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 * 	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 * 	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3 {

/**
 * Class used to represent the parameters for javascript function js_open
 * @author Cosmin Popescu, Pascal Havelange
 * @copyright © EUROPEAN COMMISSION, 2010
 * @package tariqa3
 * @license http://ec.europa.eu/idabc/eupl
 */
class BriefcaseJsUrl {
    /**
     * The blank target type
     * @var string
     */
    const TARGET_BLANK = '_blank';

    /**
     * The self target type
     * @var string
     */
    const TARGET_SELF = '_self';

    /**
     * The GET type
     * @var string
     */
    const METHOD_GET = 'GET';

    /**
     * The POST type
     * @var string
     */
    const METHOD_POST = 'POST';

    /**
     * The SEARCH page type
     * @var int
     */
    const PAGE_SEARCH = 2;

    /**
     * The SEARCH page type
     * @var int
     */
    const PAGE_ARTICLE = 1;

    /**
     * The url to be opened
     * @var string
     * @access public
     */
    public $url;

    /**
     * The target
     * @var string
     * @access public
     */
    public $target;

    /**
     * The method
     * @var string
     * @access public
     */
    public $method;

    /**
     * The POST data
     * @var string
     * @access public
     */
    public $post_data;

    /**
     * The type of the page
     * @var int
     * @access public
     */
    public $type;
}

}
?>