<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{

	/**
	 * Flash Earth Module
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2010
     * @package tariqa3
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class FlashEarth extends tariqa3Module {

		/**
		 * Construct the Module object
		 * @param array $config The multidimentionnal array containing the application's configuration
		 */
		public function __construct( $config ) {
			parent::__construct( $config );
		}
		
		/**
		 * Process all requests (this is the default module)
		 */
		public function canProcessRequest() {
			return array_key_exists('module', $_GET) && $_GET['module'] == $this->getName();
		}

		/**
		* Render the module's page (will be embedded in general layout)
		* @return string
		*/
		public function getPageContent() {
			$template = new \MetaNull\Application\MTemplate( 'm' );
			$template->loadTemplate( $this->getTemplateFilePath( 'main.html' ));
			$template->data = $this->translationTable;
			return $template->transform();
		}

		/**
		 * Returns the short name of the module (used by menus)
		 * @return string
		 */
		public function getName() {
			return 'flashearth';
		}
		/**
		 * Returns the title of the module (used in html/head/title)
		 * @return string
		 */
		public function getTitle() {
			return 'Tarîqa 3.0 - Flash Earth satellite imagery';
		}
		/**
		 * Returns the description of the module (used in html/head/description)
		 * @return string
		 */
		public function getDescription() {
			return 'Free satellite imagery, through Flash Earth service (hosted by Media TempleHome)';
		}

		/**
		 * Returns the url to the current module (used in menus)
		 * @return string
		 */
		public function getLink() {
			return statics::URL( 'index.php', array( 'module'=>$this->getName() ), true );
		}

		/**
		 * Return the items of the current breadcrumb path
		 * @return tariqa3ModuleDescriptor[]
		 */
		public function getBreadCrumb() {
			$breadCrumb = array();
			$breadCrumb[] = new tariqa3ModuleDescriptor($this);
			return $breadCrumb;
		}
	}
}
?>