<?php
/*
 *  EUROPEAN COMMISSION, 2007-2010
 *
 * Concde sous licence EUPL, version 1.1 uniquement (la Licence).
 * Vous ne pouvez utiliser la prsente oeuvre que conformment  la Licence.
 * Vous pouvez obtenir une copie de la Licence  ladresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation lgale ou contractuelle crite, le logiciel distribu sous la Licence est distribu en ltat,
 * SANS GARANTIES OU CONDITIONS QUELLES QUELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spcifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{

	require_once('FullSearch.class.php');
	
	/**
	 * Factiva Search form
	 * @author Cosmin Popescu, Pascal Havelange
	 * @copyright  EUROPEAN COMMISSION, 2010
     * @package tariqa3
	 * @license http://ec.europa.eu/idabc/eupl
	 */
class FullFactiva extends FullSearch{
	/**
	 * Constructs the object
	 * @param array $config The configuration array
	 * @param string $parentBase base_folder of the container class
	 * @param string $section_id The section identifier
	 * @param array $translationTable The translation table
	 * @param string $moduleName The name of the module in which the form is displayed
	 * @param array $newsConfig The news configuration array
	 * @param int $idx The index of the form
	 * @access public
	 * @return void
	 */
	public function __construct($config, $parentBase, $section_id, $translationTable, $moduleName, $newsConfig, $idx) {
		parent::__construct($config, $parentBase, $section_id, $translationTable, $moduleName, $newsConfig, $idx);
	}

	/**
	 * Render the module
	 * @param MTemplate $tpl The template
	 * @return string
	 */
	public function renderSearch($tpl) {
		$defaults = $this->newsConfig['search']['default'];

		return $tpl->transform();
	}

}
}
?>
