<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3{

	/**
	 * Base class for all modules of the application
	 * @package tariqa3
	 * @author Pascal Havelange, Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2009-2010
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class HttpAuthentication implements iCustomAuthentication {
	    /**
	     * Starts the php session and performs the authentication
	     * @param array $config The application configuration
	     * @access public
	     * @return tariqaUser|false
	     */
	    public function startSession($config){
		$users = array();

		$db = statics::open_db_connection($config['database']);

		$sql = "select * from user_preferences where `key` = 'general/rss_password' order by user_id";
		$query = $db->mQuery($sql);
		while ($row = $query->fetch_assoc()){
		    $users[$row['user_id']] = $row['data'];
		}

		if( !isset( $_SERVER['PHP_AUTH_USER'] )) {
			header('WWW-Authenticate: Basic realm="TariqaFeeds"', true, 401 );
			return false;
		}
		if( !array_key_exists( $_SERVER['PHP_AUTH_USER'], $users ) || $users[$_SERVER['PHP_AUTH_USER']] != $_SERVER['PHP_AUTH_PW']) {
			header('WWW-Authenticate: Basic realm="TariqaFeeds"', true, 401 );
			return false;
		}
		$user_id =  $_SERVER['PHP_AUTH_USER'];
		$user = \MetaNull\Tools\mCache::loadVariable("users/" . $user_id, null, true);
		if ($user == null) {
		    $user = new tariqaUser( $user_id, true );
		}
		\MetaNull\Tools\mCache::saveVariable($user, "users/" . $user_id, true);

		$db->close();

		return $user;
	    }
	}

}
?>