<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3\search{
	/**
	 * Base class for fetching the news results from an engine
	 * @author Cosmin Popescu
	 *
	 */
	class tariqaSearchResultSet {
		/**
		 * The query text
		 * @var string
		 * @access public
		 */
		public $query;

		/**
		 * The engine
		 * @var string
		 * @access public
		 */
		public $engine;

                /**
                 * The engine name
                 * @var string
                 * @access public
                 */
                public $engine_name;

		/**
		 * The logo of the search
		 * @var string
		 * @access public
		 */
		public $logo;

		/**
		 * The provider url
		 * @var string
		 * @access public
		 */
		public $provider_url;

		/**
		 * The source
		 * @var string
		 * @access public
		 */
		public $source;

		/**
		 * The source name (in case you want to display something elese then the source name)
		 * @var string
		 * @access public
		 */
		public $source_name;

		/**
		 * The source disclaimer
		 * @var string
		 * @access public
		 */
		public $disclaimer;

		/**
		 * The first result
		 * @var int
		 * @access public
		 */
		public $from;

		/**
		 * The number of results
		 * @var int
		 * @access public
		 */
		public $count;

		/**
		 * The list of articles
		 * @var tariqaDocument[]
		 * @access public
		 */
		public $documents;

		/**
		 * The number of the results per page
		 * @var int
		 * @access public
		 */
		public $results_per_page;
	}
}
?>