<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
		>

    <xsl:output method="xml" omit-xml-declaration="yes"/>

    <xsl:template match="/root">
	<xsl:apply-templates />
    </xsl:template>

    <xsl:template match="br">
	<xsl:element name="br"/>
    </xsl:template>

    <xsl:template match="p">
	<xsl:element name="p">
	    <xsl:apply-templates />
	</xsl:element>
    </xsl:template>

    <xsl:template match="strong">
	<xsl:element name="strong">
	    <xsl:apply-templates />
	</xsl:element>
    </xsl:template>

    <xsl:template match="div">
	<xsl:element name="div">
	    <xsl:apply-templates />
	</xsl:element>
    </xsl:template>

    <xsl:template match="a">
	<xsl:element name="a">
	    <xsl:attribute name="target"><xsl:text>_blank</xsl:text></xsl:attribute>
	    <xsl:attribute name="href"><xsl-value-of select="@href"/></xsl:attribute>
	    <xsl:value-of select="." />
	</xsl:element>
    </xsl:template>

    <xsl:template match="script">
    </xsl:template>

    <xsl:template match="img">
	<xsl:element name="img">
	    <xsl:attribute name="src"><xsl:value-of select="@src"/></xsl:attribute>
	    <xsl:attribute name="alt"><xsl:value-of select="@alt"/></xsl:attribute>
	</xsl:element>
    </xsl:template>

    <xsl:template match="*">
	<xsl:apply-templates />
    </xsl:template>

    <xsl:template match="text()">
	<xsl:copy-of select="." />
    </xsl:template>
</xsl:stylesheet>
