<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	<xsl:output method="xhtml" indent="yes" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<xsl:element name="div" >
			<xsl:text>Results </xsl:text><xsl:value-of select="/articles/from"/> to
			<xsl:choose>
				<xsl:when test="/articles/count/@value &gt; /articles/from + /articles/results_per_page - 1">
					<xsl:value-of select="/articles/from + /articles/results_per_page - 1"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="/articles/count/@value"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text> from </xsl:text>
			<xsl:value-of select="/articles/count/@value"/>
		</xsl:element>
		<xsl:element name="div" >
			<xsl:attribute name="class"><xsl:text>resultContainer</xsl:text></xsl:attribute>
			
			<xsl:comment>
				<div class="query"><xsl:value-of select="/articles/query"/></div>
			</xsl:comment>
			<div class="engine"><xsl:value-of select="/articles/engine"/></div>
			<xsl:comment>
				<div class="source"><xsl:value-of select="/articles/source"/></div>
			</xsl:comment>
			<xsl:for-each select="/articles/article">
				<xsl:element name="div" >
					<xsl:attribute name="class"><xsl:text>articleContainer</xsl:text></xsl:attribute>
					<xsl:call-template name="displayArticle" />
				</xsl:element>
				<xsl:text>
				</xsl:text>
			</xsl:for-each>
		</xsl:element>
		<xsl:element name="div">
			<xsl:attribute name="style"><xsl:text>display: none;</xsl:text></xsl:attribute>
			<xsl:value-of select="/articles/html_ids" disable-output-escaping="yes"/>
		</xsl:element>
	</xsl:template>

	<xsl:template name="displayArticle">
		<xsl:variable name="_url">
			<xsl:value-of select="url" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_js_link">
			<xsl:value-of select="js_link" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_id">
			<xsl:value-of select="id" disable-output-escaping="yes"/>
		</xsl:variable>

		<xsl:element name="div">
			<xsl:attribute name="class"><xsl:text>title</xsl:text></xsl:attribute>
			<input type="checkbox" id="{$_id}"/>
			<!--xsl:text>&#160;&#160;</xsl:text-->
			<xsl:if test="date != 'no_date'">
			<span class="date" >
				<xsl:comment>
					<xsl:text>@@todate(</xsl:text>
					<xsl:value-of select="date" disable-output-escaping="yes"/>
					<xsl:text>)@@</xsl:text>
				</xsl:comment>
			</span>
			</xsl:if>
			<a href="{$_url}" target="_blank">
				<xsl:value-of select="normalize-space(title)" disable-output-escaping="yes"/>
			</a>
		</xsl:element>

		<xsl:element name="div">
			<xsl:attribute name="class"><xsl:text>summary</xsl:text></xsl:attribute>
			<xsl:value-of select="normalize-space(summary)" disable-output-escaping="yes"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
