<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:fo="http://www.w3.org/1999/XSL/Format"
		>
    <xsl:output method="xml"/>
    <xsl:template match="/articles">
	<xsl:element name="Boxes">
	    <xsl:apply-templates />
	</xsl:element>
    </xsl:template>

    <xsl:template match="article">
	<xsl:element name="Box">
	    <xsl:element name="CLSID">
		<xsl:choose>
		    <xsl:when test="string-length(position()) = 5">
			<xsl:text>00000000-0000-0000-0000-0000000</xsl:text>
		    </xsl:when>
		    <xsl:when test="string-length(position()) = 4">
			<xsl:text>00000000-0000-0000-0000-00000000</xsl:text>
		    </xsl:when>
		    <xsl:when test="string-length(position()) = 3">
			<xsl:text>00000000-0000-0000-0000-000000000</xsl:text>
		    </xsl:when>
		    <xsl:when test="string-length(position()) = 2">
			<xsl:text>00000000-0000-0000-0000-0000000000</xsl:text>
		    </xsl:when>
		    <xsl:when test="string-length(position()) = 1">
			<xsl:text>00000000-0000-0000-0000-00000000000</xsl:text>
		    </xsl:when>
		</xsl:choose>
		<xsl:value-of select="position()"/>
	    </xsl:element>
	    <xsl:element name="Text">
		<xsl:value-of select="normalize-space(title)"/>
	    </xsl:element>
	    <xsl:element name="Description">
		<xsl:value-of select="normalize-space(body/root)"/>
	    </xsl:element>
	    <xsl:element name="Color">
		<xsl:text>16777215</xsl:text>
	    </xsl:element>
	    <xsl:element name="Attachment">
		<xsl:element name="HyperLink">
		    <xsl:element name="Name">
			<xsl:value-of select="normalize-space(url)"/>
		    </xsl:element>
		    <xsl:element name="URL">
			<xsl:value-of select="normalize-space(url)"/>
		    </xsl:element>
		</xsl:element>
	    </xsl:element>
	    <xsl:variable name="row">
		<xsl:value-of select="floor((position() - 1) div 9)"/>
	    </xsl:variable>
	    <xsl:variable name="col">
		<xsl:value-of select="floor(position() - 1) mod 9"/>
	    </xsl:variable>
	    <xsl:element name="PosX">
		<xsl:choose>
		    <xsl:when test="$col &lt; 5">
			<xsl:value-of select="$col * 208 + 24"/>
		    </xsl:when>
		    <xsl:otherwise>
			<xsl:value-of select="($col - 5) * 208 + 120"/>
		    </xsl:otherwise>
		</xsl:choose>
	    </xsl:element>
	    <xsl:element name="PosY">
		<xsl:choose>
		    <xsl:when test="$col &lt; 5">
			<xsl:value-of select="$row * 256 + 32"/>
		    </xsl:when>
		    <xsl:otherwise>
			<xsl:value-of select="$row * 256 + 160"/>
		    </xsl:otherwise>
		</xsl:choose>
	    </xsl:element>
	</xsl:element>
    </xsl:template>

</xsl:stylesheet>
