<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	>
<xsl:output method="html" indent="yes" omit-xml-declaration="no" doctype-public="public"/>
<!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
	<xsl:template match="/articles">
		<xsl:element name="html">
			<xsl:attribute name="xmlns">
				<xsl:text>http://www.w3.org/1999/xhtml</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="xml:lang">
				<xsl:text>en</xsl:text>
			</xsl:attribute>
			<xsl:element name="head"/>
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">
					<xsl:text>Content-Type</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="content">
					<xsl:text>text/html; charset=UTF-8</xsl:text>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">
					<xsl:text>Content-Style-Type</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="content">
					<xsl:text>text/css</xsl:text>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">
					<xsl:text>Description</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="content">
					<xsl:text>Export of the briefcase</xsl:text>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="meta">
				<xsl:attribute name="http-equiv">
					<xsl:text>Copyright</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="content">
					<xsl:text>Copyright © 2009, 2010 - European Commission - DG RELEX A.2 - Crisis Room - All Rights Reserved</xsl:text>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="title">
				<xsl:text>The articles of the briefcase</xsl:text>
			</xsl:element>
			<xsl:element name="style">
				<xsl:attribute name="type">
					<xsl:text>text/css</xsl:text>
				</xsl:attribute>
				<xsl:text>
					.title{
						font-size: 2em;
						font-family: Lucinda Grande;
						padding-bottom: 19px;
					}
					.date{
						font-size: 15px;
						font-family: Lucinda Grande;
						padding-bottom: 14px;
					}
					.publisher{
						font-size: 15px;
						font-family: Lucinda Grande;
						font-style: italic;
						padding-bottom: 14px;
					}
					.body{
						font-size: 13px;
						font-family: Lucinda Grande;
						padding-bottom: 30px;
					}
				</xsl:text>
			</xsl:element>
			<xsl:element name="body">
				<xsl:element name="div">
					<xsl:apply-templates />
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="article">
		<xsl:element name="div">
			<xsl:if test="title/text() != ''">
				<xsl:element name="div">
					<xsl:attribute name="class">
						<xsl:text>title</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="title"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="date/text() != ''">
				<xsl:element name="div">
					<xsl:attribute name="class">
						<xsl:text>date</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="date"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="publisher/text() != ''">
				<xsl:element name="div">
					<xsl:attribute name="class">
						<xsl:text>publisher</xsl:text>
					</xsl:attribute>
					<xsl:value-of select="publisher"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="div">
				<xsl:attribute name="class">body</xsl:attribute>
				<xsl:apply-templates select="body/root"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>


	<xsl:template match="root">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="br">
		<xsl:element name="br"/>
	</xsl:template>

	<xsl:template match="p">
		<xsl:element name="p">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="div">
		<xsl:element name="div">
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="a">
		<xsl:element name="a">
			<xsl:attribute name="href">
				<xsl:value-of select="@href"/>
			</xsl:attribute>
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="img">
		<xsl:element name="img">
			<xsl:attribute name="src">
				<xsl:value-of select="src"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>

	<xsl:template match="*">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()">
		<xsl:copy-of select="." />
	</xsl:template>


</xsl:stylesheet>
