<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
		>
    <xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>
    <!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
    <xsl:template match="/">
	<xsl:choose>
	    <xsl:when test="/articles/count/@value &lt; 1">
		<xsl:element name="div">
		    <xsl:attribute name="class"><xsl:text>text1</xsl:text></xsl:attribute>
		    <xsl:element name="strong"><xsl:text>WARNING</xsl:text></xsl:element>
		</xsl:element>
		<xsl:element name="div">
		    <xsl:attribute name="class"><xsl:text>summary</xsl:text></xsl:attribute>
		    <xsl:element name="div"><xsl:attribute name="style"><xsl:text>padding-top: 5px; padding-bottom: 5px;</xsl:text></xsl:attribute><xsl:element name="strong"><xsl:text>This search returned no result. </xsl:text></xsl:element></xsl:element>
		    <xsl:element name="div"><xsl:attribute name="style"><xsl:text>font-size: .8em</xsl:text></xsl:attribute><xsl:text>If you performed a search please try to refine the search parameters and try again. </xsl:text></xsl:element>
		    <xsl:element name="div"><xsl:attribute name="style"><xsl:text>font-size: .8em</xsl:text></xsl:attribute><xsl:text>If you filtered some news, please try to adjust the filter criterias and try again. </xsl:text></xsl:element>
		    <xsl:element name="p">
			<xsl:element name="div">
			    <xsl:element name="span">
				<xsl:attribute name="style"><xsl:text>font-size: 1.4em; color: #ff0000; font-weight: bold; </xsl:text></xsl:attribute>
				<xsl:text>CALL US</xsl:text>
			    </xsl:element>
			    <xsl:text> and we will help you check the syntax of the query and refine your search.</xsl:text>
			</xsl:element>
			<xsl:element name="div">
			    <xsl:text>The Crisis Room Team - tel. 90909, e-mail </xsl:text>
			    <xsl:element name="a">
				<xsl:attribute name="href"><xsl:text>mailto: RELEX-TARIQA@eeas.europa.ue</xsl:text></xsl:attribute>
				<xsl:text>RELEX TARIQA team</xsl:text>
			    </xsl:element>
			</xsl:element>
		    </xsl:element>
		</xsl:element>
	    </xsl:when>
	    <xsl:otherwise>
		<xsl:element name="div">
		<xsl:attribute name="class">searchResults</xsl:attribute>
		<xsl:variable name="_to">
		    <xsl:value-of select="/articles/from * 1 + /articles/results_per_page * 1"/>
		</xsl:variable>
		<xsl:if test="/articles/logo != ''">
		    <div style="float: right; padding-right: 10px;">
			<xsl:element name="a">
			    <xsl:attribute name="href">
				<xsl:value-of select="articles/provider_url"/>
			    </xsl:attribute>
			    <xsl:element name="img">
				<xsl:attribute name="src">
				    <xsl:value-of select="/articles/logo"/>
				</xsl:attribute>
				<!--xsl:attribute name="height">
									<xsl:text>40</xsl:text>
								</xsl:attribute-->
			    </xsl:element>
			    <!--img src="/themes/default/images/ID_Web_horizontal_lrg_white.gif" alt="Lexis Nexis Logo" /-->
			</xsl:element>
			<xsl:element name="div">
			    <xsl:attribute name="class"><xsl:text>poweredBy</xsl:text></xsl:attribute>
			    <xsl:if test="/articles/engine != 'LexisNexis'">
				<xsl:choose>
				    <xsl:when test="/articles/engine != 'Google' and /articles/engine != 'GoogleWeb' and /articles/engine != 'GoogleImages' and /articles/engine != 'GoogleBlogs' and /articles/engine != 'GoogleNews'">
					<xsl:text><![CDATA[powered by ]]></xsl:text>
					<xsl:value-of select="/articles/engine_name"/>
				    </xsl:when>
				    <xsl:otherwise>
					<xsl:text><![CDATA[&nbsp;powered by Google]]></xsl:text>
				    </xsl:otherwise>
				</xsl:choose>
			    </xsl:if>
			</xsl:element>
		    </div>
		</xsl:if>
		<xsl:element name="div">
		    <xsl:attribute name="class"><xsl:text>source</xsl:text><!--xsl:text> ui-state-highlight</xsl:text--></xsl:attribute>
		    <!--xsl:attribute name="style"><xsl:text>width: 330px;</xsl:text></xsl:attribute-->
					<!--xsl:value-of select="string:substring(/articles/engine,1,6)" /-->
		    <xsl:value-of select="/articles/source_name"/>
		    <xsl:for-each select="/articles/disclaimer">
			<xsl:element name="div">
			    <xsl:attribute name="class"><xsl:text>poweredBy</xsl:text></xsl:attribute>
			    <xsl:attribute name="style"><xsl:text>font-size: .5em; !important</xsl:text></xsl:attribute>
			    <xsl:element name="a">
				<xsl:attribute name="href"><xsl:text>#</xsl:text></xsl:attribute>
				<xsl:attribute name="onclick">
				    <xsl:text>tariqaAlert('</xsl:text>
				    <xsl:value-of select="text()"/>
				    <xsl:text>', 'Disclaimer', TYPE_ALERT_INFO); return false;</xsl:text>
				</xsl:attribute>
				<xsl:text>Disclaimer</xsl:text>
			    </xsl:element>
			</xsl:element>
		    </xsl:for-each>
		    <!--xsl:text>Not happy with the results? Call us!</xsl:text-->
		</xsl:element>

		<xsl:element name="div">
		    <xsl:attribute name="style">clear: both;</xsl:attribute>
		</xsl:element>

		<xsl:element name="div">
		    <xsl:attribute name="style">
			<xsl:text>display: none;</xsl:text>
		    </xsl:attribute>
		</xsl:element>

		<xsl:element name="hr"/>
		<xsl:element name="div" >
		    <xsl:attribute name="class">info</xsl:attribute>
		    <xsl:element name="span">
			<xsl:attribute name="style"><xsl:text>position: relative; top: 3px;</xsl:text></xsl:attribute>
			<xsl:element name="a">
			    <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#</xsl:text></xsl:attribute>
			    <xsl:attribute name="onclick"><xsl:text disable-output-escaping="yes">return false;</xsl:text></xsl:attribute>
			    <xsl:element name="img">
				<xsl:attribute name="src">themes/default/images/ButArrowFst.gif</xsl:attribute>
			    </xsl:element>
			</xsl:element>
		    </xsl:element>
		    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    <xsl:element name="span">
			<xsl:attribute name="style"><xsl:text>position: relative; top: 3px;</xsl:text></xsl:attribute>
			<xsl:element name="a">
			    <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#</xsl:text></xsl:attribute>
			    <xsl:attribute name="onclick"><xsl:text disable-output-escaping="yes">return false;</xsl:text></xsl:attribute>
			    <xsl:element name="img">
				<xsl:attribute name="src">themes/default/images/ButArrowPrv.gif</xsl:attribute>
			    </xsl:element>
			</xsl:element>
		    </xsl:element>
		    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    <xsl:element name="strong">
			<xsl:value-of select="/articles/from"/> -
			<xsl:choose>
			    <xsl:when test="/articles/count/@value &gt; /articles/from * 1 + /articles/results_per_page * 1 - 1 * 1">
				<xsl:value-of select="/articles/from * 1 + /articles/results_per_page * 1 - 1 * 1"/>
			    </xsl:when>
			    <xsl:otherwise>
				<xsl:value-of select="/articles/count/@value"/>
			    </xsl:otherwise>
			</xsl:choose>
		    </xsl:element>
		    <xsl:text> of </xsl:text>
		    <xsl:value-of select="/articles/count/@value"/>
		    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    <xsl:element name="span">
			<xsl:attribute name="style"><xsl:text>position: relative; top: 3px;</xsl:text></xsl:attribute>
			<xsl:element name="a">
			    <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#</xsl:text></xsl:attribute>
			    <xsl:attribute name="onclick"><xsl:text disable-output-escaping="yes">return false;</xsl:text></xsl:attribute>
			    <xsl:element name="img">
				<xsl:attribute name="src">themes/default/images/ButArrowNxt.gif</xsl:attribute>
			    </xsl:element>
			</xsl:element>
		    </xsl:element>
		    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    <xsl:element name="span">
			<xsl:attribute name="style"><xsl:text>position: relative; top: 3px;</xsl:text></xsl:attribute>
			<xsl:element name="a">
			    <xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#</xsl:text></xsl:attribute>
			    <xsl:attribute name="onclick"><xsl:text disable-output-escaping="yes">return false;</xsl:text></xsl:attribute>
			    <xsl:element name="img">
				<xsl:attribute name="src">themes/default/images/ButArrowLst.gif</xsl:attribute>
			    </xsl:element>
			</xsl:element>
		    </xsl:element>
		    <xsl:element name="span">
			<xsl:attribute name="style">
			    <xsl:text>display: none;</xsl:text>
			</xsl:attribute>
			<xsl:element name="span">
			    <xsl:attribute name="style"><xsl:text>display: none;</xsl:text></xsl:attribute>
			    <xsl:attribute name="id"><xsl:text>preload_</xsl:text></xsl:attribute>
			    <xsl:text disable-output-escaping="yes">&amp;nbsp;(Loading the next page in background...</xsl:text>
			    <xsl:element name="img">
				<xsl:attribute name="src"><xsl:text>themes/default/images/ajax-loader-mini.gif</xsl:text></xsl:attribute>
			    </xsl:element>
			    <xsl:text>)</xsl:text>
			</xsl:element>
		    </xsl:element>
		</xsl:element>
		<xsl:element name="hr"/>


		    <xsl:element name="div" >
			<xsl:attribute name="class"><xsl:text>resultContainer</xsl:text></xsl:attribute>

			<xsl:comment>
			    <div class="query"><xsl:value-of select="/articles/query"/></div>
			</xsl:comment>

			<xsl:comment>
			    <div class="source"><xsl:value-of select="/articles/source"/></div>
			</xsl:comment>

			<xsl:for-each select="/articles/article">
			    <xsl:element name="div" >
				<xsl:attribute name="class"><xsl:text>articleContainer</xsl:text></xsl:attribute>
				<xsl:call-template name="displayArticle" />
			    </xsl:element>
			    <xsl:text>
			    </xsl:text>
			</xsl:for-each>
		    </xsl:element>
		    <xsl:element name="div">
			<xsl:attribute name="style"><xsl:text>display: none;</xsl:text></xsl:attribute>
			<xsl:value-of select="/articles/html_ids" disable-output-escaping="yes"/>
		    </xsl:element>
		</xsl:element>
	    </xsl:otherwise>
	</xsl:choose>
    </xsl:template>

    <xsl:template name="displayArticle">
	<xsl:variable name="_url">
	    <xsl:value-of select="url" disable-output-escaping="yes"/>
	</xsl:variable>
	<xsl:variable name="_diff">
	    <xsl:choose>
		<xsl:when test="date_diff &lt; 30">
		    <xsl:text>1</xsl:text>
		</xsl:when>
		<xsl:when test="date_diff &lt; 120">
		    <xsl:text>2</xsl:text>
		</xsl:when>
		<xsl:otherwise>
		    <xsl:text>3</xsl:text>
		</xsl:otherwise>
	    </xsl:choose>
	</xsl:variable>
	<xsl:variable name="_js_link">
	    <xsl:value-of select="js_link" disable-output-escaping="yes"/>
	</xsl:variable>
	<xsl:variable name="_id">
	    <xsl:value-of select="id" disable-output-escaping="yes"/>
	</xsl:variable>

	<xsl:element name="div">
	    <xsl:attribute name="style">
		<xsl:text>padding-bottom: 10px;</xsl:text>
	    </xsl:attribute>
	    <xsl:element name="div">
		<xsl:attribute name="style">
		    <xsl:text>float: left; width: 4%; height: 100%;</xsl:text>
		</xsl:attribute>
		<input type="checkbox" id="{$_id}"/>
		<!--xsl:text>&#160;&#160;</xsl:text-->
	    </xsl:element>
	    <xsl:element name="div">
		<xsl:attribute name="style">
		    <xsl:choose>
			<xsl:when test="string-length(idx) &gt; 4">
			    <xsl:text>width: 5%;</xsl:text>
			</xsl:when>
			<xsl:when test="string-length(idx) &gt; 3">
			    <xsl:text>width: 4%;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
			    <xsl:text>width: 3%;</xsl:text>
			</xsl:otherwise>
		    </xsl:choose>
		    <xsl:text>float: left; height: 100%; text-align: right; padding-right: 5px;</xsl:text>
		</xsl:attribute>
		<xsl:value-of select="idx"/><xsl:text>.</xsl:text>
	    </xsl:element>
	    <xsl:element name="div">
		<xsl:attribute name="style">
		    <xsl:text>float: left; width: 90%;</xsl:text>
		</xsl:attribute>
		<xsl:element name="div">
		    <xsl:attribute name="class">
			<xsl:text>title</xsl:text><xsl:value-of select="$_diff"/>
		    </xsl:attribute>
		    <a href="{$_url}" target="_self">
			<xsl:value-of select="normalize-space(title)" disable-output-escaping="yes"/>
		    </a>
		</xsl:element>

		<xsl:if test="date != 'no_date'">
		    <xsl:element name="div">
			<xsl:attribute name="class">
			    <xsl:text>date</xsl:text><xsl:value-of select="$_diff"/>
			</xsl:attribute>
			<xsl:value-of select="date" disable-output-escaping="yes"/>
		    </xsl:element>
		    <xsl:comment>
			<xsl:text>@@todate(</xsl:text>
			<xsl:value-of select="date" disable-output-escaping="yes"/>
			<xsl:text>)@@</xsl:text>
		    </xsl:comment>
		</xsl:if>

		<xsl:if test="normalize-space(summary) != ''">
		    <xsl:element name="div">
			<xsl:attribute name="class"><xsl:text>summary</xsl:text></xsl:attribute>
			<xsl:value-of select="normalize-space(summary)" disable-output-escaping="yes"/>
		    </xsl:element>
		</xsl:if>

		<xsl:if test="normalize-space(source) != ''">
		    <xsl:element name="div">
			<xsl:attribute name="class">
			    <xsl:text>news_source</xsl:text><xsl:value-of select="$_diff"/>
			</xsl:attribute>
			<xsl:value-of select="source" disable-output-escaping="yes"/>
		    </xsl:element>
		</xsl:if>
	    </xsl:element>
	    <xsl:element name="div">
		<xsl:attribute name="style">
		    <xsl:text>clear: both;</xsl:text>
		</xsl:attribute>
	    </xsl:element>
	</xsl:element>
    </xsl:template>
</xsl:stylesheet>
