<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>
<!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
	<xsl:template match="/">
		<xsl:element name="div">
			<xsl:attribute name="class">searchResults</xsl:attribute>
			<xsl:element name="div" >
				<xsl:attribute name="class">info</xsl:attribute>
			</xsl:element>
			<xsl:element name="div" >
				<xsl:attribute name="class"><xsl:text>resultContainer</xsl:text></xsl:attribute>

				<xsl:comment>
					<div class="query"><xsl:value-of select="/articles/query"/></div>
				</xsl:comment>

				<xsl:comment>
					<div class="source"><xsl:value-of select="/articles/source"/></div>
				</xsl:comment>
				<xsl:for-each select="/articles/article">
					<xsl:element name="div" >
						<xsl:attribute name="class"><xsl:text>articleContainer</xsl:text></xsl:attribute>
						<xsl:call-template name="displayArticle" />
					</xsl:element>
					<xsl:text>
					</xsl:text>
				</xsl:for-each>
			</xsl:element>
			<xsl:element name="div">
				<xsl:attribute name="style"><xsl:text>display: none;</xsl:text></xsl:attribute>
				<xsl:value-of select="/articles/html_ids" disable-output-escaping="yes"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template name="displayArticle">
		<xsl:variable name="_url">
			<xsl:value-of select="url" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_diff">
                        <xsl:text>1</xsl:text>
		</xsl:variable>
		<xsl:variable name="_js_link">
			<xsl:value-of select="js_link" disable-output-escaping="yes"/>
		</xsl:variable>
		<xsl:variable name="_id">
			<xsl:value-of select="id" disable-output-escaping="yes"/>
		</xsl:variable>

		<xsl:element name="div">
			<xsl:attribute name="class">
				<xsl:text>title</xsl:text><xsl:value-of select="$_diff"/>
			</xsl:attribute>
			<xsl:element name="strong">
			    <xsl:value-of select="normalize-space(title)" disable-output-escaping="yes"/>
			</xsl:element>
		</xsl:element>

		<xsl:element name="div">
			<xsl:attribute name="class"><xsl:text>summary</xsl:text></xsl:attribute>
			<xsl:value-of select="normalize-space(summary)" disable-output-escaping="yes"/>
		</xsl:element>
                
		<xsl:if test="source != ''">
			<xsl:element name="div">
				<xsl:attribute name="class">
					<xsl:text>news_source</xsl:text><xsl:value-of select="$_diff"/>
				</xsl:attribute>
				<xsl:value-of select="source" disable-output-escaping="yes"/>
			</xsl:element>
		</xsl:if>

	</xsl:template>
</xsl:stylesheet>
