<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	
	<xsl:output method="html"/>
	
	<xsl:template match="/article">
	    <xsl:element name="div">
		<xsl:attribute name="class">
		    <xsl:text>ui-widget ui-widget-content ui-corner-all ui-widget-header</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="id">
		    <xsl:text>external_article_controls</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="style">
		    <xsl:text>padding-left: 10px; display: </xsl:text><xsl:value-of select="@display"/>
		</xsl:attribute>
		<xsl:element name="a">
			<xsl:attribute name="href"><xsl:text>#</xsl:text></xsl:attribute>
			<xsl:attribute name="onclick"><xsl:text>sendArticleToBriefcase('</xsl:text><xsl:value-of select="id"/><xsl:text>')</xsl:text></xsl:attribute>
			<xsl:value-of select="@link1"/>
		</xsl:element>
		<xsl:element name="input">
			<xsl:attribute name="type"><xsl:text>hidden</xsl:text></xsl:attribute>
			<xsl:attribute name="id"><xsl:text>title_id</xsl:text></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@js_title"/></xsl:attribute>
		</xsl:element>
		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="href"><xsl:text>#</xsl:text></xsl:attribute>
			<xsl:attribute name="onclick"><xsl:text>shareItem(shareArticles, 'share_article', [function(){$('#loading_id').show()}, function(){$('#loading_id').hide()}, '</xsl:text><xsl:value-of select="id"/><xsl:text>', '</xsl:text><xsl:value-of select="@js_title"/><xsl:text>'])</xsl:text></xsl:attribute>
			<xsl:value-of select="@link2"/>
		</xsl:element>
		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="href"><xsl:value-of select="@print_link"/></xsl:attribute>
			<xsl:attribute name="target"><xsl:text>_blank</xsl:text></xsl:attribute>
			<xsl:value-of select="@link4"/>
		</xsl:element>
                <xsl:if test="@link3 != ''">
                    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:text disable-output-escaping="yes">index.php?module=article&amp;type=briefcase&amp;force_briefcase=&amp;id=</xsl:text>
                            <xsl:value-of select="@link3_id"/>
                        </xsl:attribute>
                        <xsl:value-of select="@link3"/>
                    </xsl:element>
                </xsl:if>
		<!--xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		<xsl:element name="a">
		    <xsl:attribute name="href">
			<xsl:text disable-output-escaping="yes">#</xsl:text>
		    </xsl:attribute>
		    <xsl:attribute name="onclick">
			<xsl:text>inspect()</xsl:text>
		    </xsl:attribute>
		    <xsl:text>Inspect</xsl:text>
		</xsl:element-->
		<xsl:element name="span">
			<xsl:attribute name="style"><xsl:text>display: none</xsl:text></xsl:attribute>
			<xsl:attribute name="id"><xsl:text>loading_id</xsl:text></xsl:attribute>
			<xsl:element name="img">
				<xsl:attribute name="src"><xsl:value-of select="@load_src"/></xsl:attribute>
			</xsl:element>
		</xsl:element>
	    </xsl:element>
		<xsl:copy-of select="sharing_form/*"/>
		<xsl:variable name="url">
			<xsl:value-of select="document_id"/>
		</xsl:variable>
                <xsl:variable name="link3">
                    <xsl:value-of select="@link3"/>
                </xsl:variable>
		<iframe frameborder="0" width="100%" src="{$url}" style="min-height: 480px;" id="external_article_frame" name="external_article_frame"/>
	</xsl:template>
</xsl:stylesheet>
