-- MySQL dump 10.13  Distrib 5.1.41, for debian-linux-gnu (i486)
--
-- Host: d02di0414709    Database: schedule
-- ------------------------------------------------------
-- Server version	5.0.67-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Current Database: `schedule`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `schedule` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `schedule`;

--
-- Table structure for table `channels`
--

DROP TABLE IF EXISTS `channels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `channels` (
  `number` int(11) NOT NULL default '0',
  `group_id` int(10) unsigned NOT NULL,
  `type_id` int(10) unsigned NOT NULL COMMENT 'The type identifier',
  `channel_name` varchar(255) NOT NULL,
  PRIMARY KEY  USING BTREE (`number`,`group_id`,`type_id`),
  KEY `idx_channel_name` USING BTREE (`channel_name`),
  KEY `idx_channel_group` USING BTREE (`group_id`),
  KEY `FK_channels_types` (`type_id`),
  CONSTRAINT `FK_channels_groups` FOREIGN KEY (`group_id`) REFERENCES `groups` (`group_id`),
  CONSTRAINT `FK_channels_types` FOREIGN KEY (`type_id`) REFERENCES `channels_type` (`type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Channels List';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `channels_type`
--

DROP TABLE IF EXISTS `channels_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `channels_type` (
  `type_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL,
  `description` text,
  PRIMARY KEY  (`type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `groups` (
  `group_id` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(20) NOT NULL,
  `description` text,
  PRIMARY KEY  USING BTREE (`group_id`),
  KEY `idx_group_type` USING BTREE (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1 COMMENT='Satellites List';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `satellites`
--

DROP TABLE IF EXISTS `satellites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `satellites` (
  `number` varchar(5) NOT NULL default '0',
  `group_id` int(10) unsigned NOT NULL,
  `description` varchar(45) default NULL,
  PRIMARY KEY  USING BTREE (`number`,`group_id`),
  KEY `idx_sat_group` USING BTREE (`group_id`),
  CONSTRAINT `FK_satellites_groups` FOREIGN KEY (`group_id`) REFERENCES `groups` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Satellites List';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `schedule`
--

DROP TABLE IF EXISTS `schedule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `schedule` (
  `schedule_id` int(11) NOT NULL auto_increment,
  `date` datetime NOT NULL,
  `length` time NOT NULL default '00:00:00',
  `title` varchar(255) default NULL,
  `description` text,
  `channel_number` int(11) default NULL,
  `channel_group_id` int(10) unsigned default NULL,
  `channel_type_id` int(10) unsigned default NULL,
  `capture_status` enum('Waiting','Capturing','Done','Error','Aborted') NOT NULL default 'Waiting',
  `capture_filename` varchar(255) default NULL,
  `session` int(11) default NULL,
  PRIMARY KEY  (`schedule_id`),
  KEY `idx_date` (`date`),
  KEY `fk_schedule_channel` (`channel_number`,`channel_group_id`,`channel_type_id`),
  CONSTRAINT `fk_schedule_channel` FOREIGN KEY (`channel_number`, `channel_group_id`, `channel_type_id`) REFERENCES `channels` (`number`, `group_id`, `type_id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4394 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'schedule'
--
/*!50003 DROP PROCEDURE IF EXISTS `increment_schedule` */;
--
-- WARNING: old server version. The following dump may be incomplete.
--
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50020 DEFINER=`popesad`@`%`*/ /*!50003 PROCEDURE `increment_schedule`(__schedule_id int, _count int, _interval time, _distance time)
begin
    declare _schedule_id int default __schedule_id;
    declare i int default 0;

    while i < _count do
	insert into schedule(`date`, `length`, title, channel_type_id, capture_status, capture_filename, channel_number, channel_group_id, session)
	    (select addtime(addtime(`date`, _interval), _distance), _interval, title, channel_type_id, 'Waiting', capture_filename, channel_number, channel_group_id, session from schedule where schedule_id = _schedule_id);
	set _schedule_id = last_insert_id();
	set i = i + 1;
    end while;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-04-07 16:08:34
