<?php
 /*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

   /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */

    class FactivaContentHeadline {
        /**
        * The article identifier
        * @var string
        * */
        public $accessionNo;

        /**
        * The base language of the article
        * @var string
        * */
        public $baseLanguage;

        /**
        * The article headlines
        * @var string[]
        * */
        public $headline;

        /**
        * The article publication date
        * @var int (UNIX timestamp format)
        * */
        public $publicationDate;

        /**
        * The identifier of the article source
        * @var string
        * */
        public $sourceCode;

        /**
        * The name of the source article
        * @var string
        * */
        public $sourceName;

        /**
        * The article words count
        * @var int
        * */
        public $wordCount;

        /**
        * This element represents the name of a column in which an article appeared. An example might be the "Asian-Pacific Markets" column in the Wall Street Journal.
        * @var string
        * */
        public $columnName;

        /**
        * Copyright informations
        * @var string
        * */
        public $copyright;

        /**
        * Parts of the content to which the headline belongs
        * @var FactivaContentPart
        * */
        public $part;

        /**
        * The section name in which the article appeared
        * @var string
        * */
        public $sectionName;

        /**
        * Snippets from the article
        * @var string[]
        * */
        public $snippet;

        /**
        * The by line
        * @var string
        * */
        public $byLine;

        /**
        * Credits for the article
        * @var string
        * */
        public $credit;
    }

?>