<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaDocument {
        /**
        * The article identifier
        * @var string
        * */
        public $accessionNo;
        
        /**
        * The base language of the article
        * @var string
        * */
        public $baseLanguage;

        /**
        * The article headlines
        * @var string[]
        * */
        public $headline;

        /**
        * The article publication date
        * @var int (UNIX timestamp format)
        * */
        public $publicationDate;
        
        /**
        * The identifier of the article source
        * @var string
        * */
        public $sourceCode;
        
        /**
         * The source name
         * @var string
         * @access public
        */
        public $sourceName;
        
        /**
        * The article words count
        * @var int
        * */
        public $wordCount;

        /**
        * This element represents the name of a column in which an article appeared. An example might be the "Asian-Pacific Markets" column in the Wall Street Journal. 
        * @var string
        * */
        public $columnName;

        /**
        * Copyright informations
        * @var string
        * */
        public $copyright;

        /**
        * The section name in which the article appeared
        * @var string
        * */
        public $sectionName;
        
        /**
        * The author contact details
        * @var string
        * */
        public $contact;
        
        /**
        * Corrections made on the article
        * @var string[]
        * */
        public $corrections;
        
        /**
        * The edition of the publication in which the article appeared
        * @var string
        * */
        public $edition;
        
        /**
        * The main (first) paragraphs of the article
        * @var string[]
        * */
        public $leadParagraph;
        
        /**
        * The last paragraphs of the article
        * @var string[]
        * */
        public $tailParagraph;
        
        /**
        * The name of the publication group to which the source of the article belongs
        * @var string
        * */
        public $publisherGroupName;

        /**
        * The group code of the publication group to which the source of the article belongs
        * @var string
        * */
        public $publisherGroupCode;

        /**
        * The name of the publisher for an article
        * @var string
        * */
        public $publisherName;
        
        /**
        * The volume or number of the publication from which the article was taken
        * @var string
        * */
        public $volume;
    
        /**
        * The by line
        * @var string
        * */
        public $byLine;
        
        /**
        * Credits for the article
        * @var string
        * */
        public $credit;
        
    }

?>