<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	require_once( "OxfordAnalyticaQueryBase.class.php" );
	
	class OxfordAnalyticaDetailedQuery extends OxfordAnalyticaQueryBase {
		
		/**
		 * The countries desired (must conform to the Oxford Analytica's countries list => Use Tariqa::GetCountry to fetch the right identifier)
		 * @var string
		 * @see Tariqa::GetCountry()
		 * */
		public $country;
		
		/**
		 * The topics desired (must conform to the Oxford Analytica's topics list)
		 * @var string
		 * */
		public $topic;
		
		/**
		 * Searches titling elements of the content for matching values
		 * @var string
		 * */
		public $titling;
		
		/**
		 * Searches all elements of the content for matching values
		 * @var string
		 * */
		public $freetext;
		
		/**
		 * If set to the value true, then limits results from country and/or topic being set so that only results whose central concern is the selected country and/or topic is 
		 * @var boolean
		 * */
		public $primary;
		
	}
?>