<?php
	/**
	 * This class encloses the necessary elements to perform a GetDocumentsByRange operation
	 * @example examples/getdocumentsbyrange.php
	 * @example examples/getdocumentsbyrange_PEAR.php
	 * */
	class WSKGetDocumentsByRangeRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Contains a unique identifier that identifies the original search.
		 * @var string
		 **/
		public $searchId;
		
		/**
		 * Used to retrieve documents from a specific classification. These identifiers can be obtained using the BrowseResultClassification  operation.
		 * @var string
		 **/
		public $classificationId;
		
		/**
		 * Encloses the documentView, documentMarkup, and documentRange elements which define a series of retrieval options.
		 * @var WSKRetrievalOptions
		 * */
		public $retrievalOptions;
		
		/**
		 * @param string $binarySecurityToken
		 * @param string $searchId
		 * @param string $classificationId
		 * @param WSKRetrievalOptions $retrievalOptions
		 * */
		public function __construct( $binarySecurityToken, $searchId, $classificationId = null, $retrievalOptions = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->searchId = $searchId;
			$this->classificationId = $classificationId;
			$this->retrievalOptions = $retrievalOptions;
		}
	}
?>