<?php
	/**
	 * This class encloses the necessary elements to perform an GetSourceDetails operation
	 * @example examples/getsourcedetails.php Display information about a source
	 **/
	class WSKGetSourceDetailsRequest {
		
		/**
		 * This authentication token must be included in all non-authentication types of requests.
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * Contains a unique identifier value used to represent a specific source in the source directory.
		 * @var string
		 * */
		public $sourceId;
		
		/**
		 * A flag indicates whether more detailed information about a source (the Source element) should be returned in the response.
		 * @var boolean
		 * */
		public $includeSourceElement;
		
		/**
		 * @param string $binarySecurityToken This authentication token must be included in all non-authentication types of requests.
		 * @param string $sourceId Contains a unique identifier value used to represent a specific source in the source directory.
		 * @param boolean $includeSourceElement A flag indicates whether more detailed information about a source (the Source element) should be returned in the response.
		 * */
		public function __construct( $binarySecurityToken, $sourceId, $includeSourceElement = null ) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->sourceId = $sourceId;
			$this->includeSourceElement = $includeSourceElement;
		}
	}
?>