<?php
	/**
	 * This class Encloses the name and  sortId elements associated with a specific sort key.
	 **/
	class WSKGetSortKey {
		
		/**
		 * Contains a readable name that describes this sort key.
		 * @var string
		 * */
		public $name;
		
		/**
		 * Contains a unique identifier that contains the necessary information to sort search results using this key. One or more sortId  values can be used as input for the SortResults operation.
		 * @var string
		 * */
		public $sortId;
		
		/**
		 * @param string $name Contains a readable name that describes this sort key.
		 * @param string $sortId Contains a unique identifier that contains the necessary information to sort search results using this key. One or more sortId  values can be used as input for the SortResults operation.
		 * */
		public function __construct( $name = null, $sortId = null ) {
			$this->name = $name;
			$this->sortId = $sortId;
		}
	}
?>