<?php
	/**
	 * @see WSKDocumentContainer
	 * */
	class WSKSourceContextInfo {
		/**
		 * A flag that indicates that calling GetAdjacentDocument (Next) on this document id will return a relevant document. (The next document is not the start of a new subject/document group.)
		 * @var boolean
		 * */
		public $nextIsRelevant;
		
		/**
		 * An flag that indicates that calling GetAdjacentDocument (Previous) on this document id will return a relevant document. (The previous document is not the end of the last subject/document group.)
		 * @var boolean
		 * */
		public $previousIsRelevant;
		
		/**
		 * Unique identifier for a standard LexisNexis source.
		 * @var int
		 * */
		public $sourceId;
		
		/**
		 * Represents the "point of reference" of this document in the source.
		 * @var string
		 * */
		public $sourceContextId;
		
		/**
		 * Constructs a sourceContextInfo object
		 * @param boolean $nextIsRelevant A flag that indicates that calling GetAdjacentDocument (Next) on this document id will return a relevant document. (The next document is not the start of a new subject/document group.)
		 * @param boolean $previousIsRelevant An flag that indicates that calling GetAdjacentDocument (Previous) on this document id will return a relevant document. (The previous document is not the end of the last subject/document group.)
		 * @param int $sourceId Unique identifier for a standard LexisNexis source.
		 * @param string $sourceContextId Represents the "point of reference" of this document in the source.
		 * */
		public function __construct( $nextIsRelevant = null, $previousIsRelevant = null, $sourceId = null, $sourceContextId = null) {
			$this->nextIsRelevant = $nextIsRelevant;
			$this->previousIsRelevant = $previousIsRelevant;
			$this->sourceId = $sourceId;
			$this->sourceContextId = $sourceContextId;
		}
	}
?>